update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '149' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2005-07-14' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';




update DOCUMENTTYPES set CONVERTIBLE = 0  where EXTENSION = 'SXW';
update DOCUMENTTYPES set CONVERTIBLE = 0  where EXTENSION = 'SXI';
update DOCUMENTTYPES set CONVERTIBLE = 0  where EXTENSION = 'SXC';

alter table DOCUMENTTYPES add EDITABLE integer;

update DOCUMENTTYPES set EDITABLE = 0;
update DOCUMENTTYPES set EDITABLE = 1 where EXTENSION = 'DOC';
update DOCUMENTTYPES set EDITABLE = 1 where EXTENSION = 'PPT';
update DOCUMENTTYPES set EDITABLE = 1 where EXTENSION = 'XLS';
update DOCUMENTTYPES set EDITABLE = 1 where EXTENSION = 'RTF';

insert into DOCUMENTTYPES
            (DOCTYPEID, EXTENSION, DESCRIPTION, DESCRIPTION_SHORT, INTERNAL, MIMETYPE, IMGPATH, ICON_EXTENSION, CONVERTIBLE, EDITABLE)
     values (27, 'FH8', 'Bildformat fr "Free Hand"', 'FH8 Document', 0, 'application/fh8', '/gfx/documenttype/fh8', 'gif', 0, 0);

insert into DOCUMENTTYPES
            (DOCTYPEID, EXTENSION, DESCRIPTION, DESCRIPTION_SHORT, INTERNAL, MIMETYPE, IMGPATH, ICON_EXTENSION, CONVERTIBLE, EDITABLE)
     values (28, 'FH11', 'Bildformat fr "Free Hand"', 'FH11 Document', 0, 'application/fh11', '/gfx/documenttype/fh11', 'gif', 0, 0);

insert into DOCUMENTTYPES
            (DOCTYPEID, EXTENSION, DESCRIPTION, DESCRIPTION_SHORT, INTERNAL, MIMETYPE, IMGPATH, ICON_EXTENSION, CONVERTIBLE, EDITABLE)
     values (29, 'ODT', 'OpenOffice Textdatei', 'OpenOffice Textdatei', 0, 'application/odt', '/gfx/documenttype/odt', 'gif', 0, 0);


commit;