drop index INDEX_28;
drop table catprojectsteps;

/*==============================================================*/
/* Table: CATPROJECTSTEPS                                       */
/*==============================================================*/
create table CATPROJECTSTEPS (
CATPROJSTEPID        INTEGER                        not null,
CATEGORYID           INTEGER                        not null,
STEP                 INTEGER                        not null,
ENABLED              INTEGER                        not null,
ACTIVITY             VARCHAR(255)                   not null,
STARTDATE            TIMESTAMP                      not null,
ENDDATE              TIMESTAMP                      not null,
PROCESSORID          INTEGER,
PROCESSEDTS          TIMESTAMP,
CHECKERID            INTEGER,
CHECKEDTS            TIMESTAMP,
constraint PK_CATPROJECTSTEPS primary key (CATPROJSTEPID)
);

/*==============================================================*/
/* Index: INDEX_28                                              */
/*==============================================================*/
create unique asc index INDEX_28 on CATPROJECTSTEPS (
CATEGORYID,
STEP
);

update SYSPARAMETERS set VALUESTRING = '46' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-02-21' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';
commit;