alter table DOCUMENTCLASSES drop NAME;
alter table DOCUMENTCLASSES drop NAME_KEY;
alter table DOCUMENTCLASSES drop DESCRIPTION;

alter table DOCUMENTCLASSES add NAME_KEY VARCHAR(50) not null;

update DOCUMENTCLASSES set NAME_KEY = 'vkc.documentclass.none'     WHERE DOCCLASSID = 0;
update DOCUMENTCLASSES set NAME_KEY = 'vkc.documentclass.report'   WHERE DOCCLASSID = 1;
update DOCUMENTCLASSES set NAME_KEY = 'vkc.documentclass.memo'     WHERE DOCCLASSID = 2;
update DOCUMENTCLASSES set NAME_KEY = 'vkc.documentclass.protocol' WHERE DOCCLASSID = 3;
update DOCUMENTCLASSES set NAME_KEY = 'vkc.documentclass.status'   WHERE DOCCLASSID = 4;

alter table DOCUMENTSTATI drop DESCRIPTION;
alter table DOCUMENTSTATI drop DESC_KEY;
alter table DOCUMENTSTATI add DESC_KEY VARCHAR(50) not null;

update DOCUMENTSTATI set DESC_KEY = 'vkc.documentstatus.created' WHERE STATUS = 0;
update DOCUMENTSTATI set DESC_KEY = 'vkc.documentstatus.changed' WHERE STATUS = 1;
update DOCUMENTSTATI set DESC_KEY = 'vkc.documentstatus.waiting' WHERE STATUS = 2;
update DOCUMENTSTATI set DESC_KEY = 'vkc.documentstatus.deleted' WHERE STATUS = 3;

delete from SYSPARAMETERS where context = 'OFFICE';
delete from SYSPARAMETERS where context = 'OPENOFFICE';
delete from SYSPARAMETERS where name = 'TitelIsMandatory';

update SYSPARAMETERS set VALUESTRING = '48' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-02-21' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

commit;