<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ page import="vkc.view.WebShare" %>
<%@ page import="vkc.view.TabId" %>
<%@ page import="org.apache.struts.Globals" %>
<%@ page import="vkc.misc.VKCLogManager" %>


<%@ taglib uri="struts-html" 	prefix="html"  %>
<%@ taglib uri="struts-bean" 	prefix="bean"  %>
<%@ taglib uri="struts-logic" 	prefix="logic" %>
<%@ taglib uri="vkc-taglib" 	prefix="vkc"   %>
      

<vkc:checkLogin />
<vkc:init/>

<html:html locale="true">
<head>

  	<vkc:cssinclude />

    <meta http-equiv="content-type"  content="text/html; charset=iso-8859-1" />
    <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>
    
    <script type="text/javascript">
    
    window.name = "MAINVIEW";
    var aclform = null;
    var associatedTabId = <%=TabId.ADMIN_USERMANAGEMENT_TAB%>;
    	
    function init() {
      	var tabView = getTabView();
        var tabViewForm = tabView.document.forms[0];

        if (tabView && tabView.systemviewtype == "administrationview" && tabView.selectedTabId != associatedTabId) {
          	tabView.location.replace("<%=ctxPath%>/adminTabView.do?selectedTabId=<%=TabId.ADMIN_USERMANAGEMENT_TAB%>"
          						   + "&lastCategoryId=" + tabViewForm.lastCategoryId.value
          						   + "&lastFunctionalId=" + tabViewForm.lastFunctionalId.value
          						   + "&lastProjectId=" + tabViewForm.lastProjectId.value);
        }

        <logic:present name="<%=WebShare.INFO_KEY%>" scope="request">
          <bean:define id="msg" type="java.lang.String" scope="request" name="<%=WebShare.INFO_KEY%>"/>
          alert( '<vkc:message javascript="true" filter="false" key="<%=msg%>"/>' );
        </logic:present>
    }

    function openUserInfoWindow( id ) {
	    var w = 800;
	    var h = 600;
	    var leftPosition = screen.width/2  - w/2;
	    var topPosition  = screen.height/2 - h/2;
	    var settings ='height=' + h + ', width=' + w + ', top=' + topPosition + ', left=' + leftPosition;
	    settings += ',scrollbars=yes,resizable';
	    settings += ',toolbar=no, location=no, directories=no, status=true, menubar=no';
	    var win = window.open( '<vkc:rewrite page="/displayUserInfo.do"/>?userId=' + id, 'USERINFO_MAINVIEW', settings );
		win.focus();                              
	}
    
    </script>
</head>
<body onload="init();" topmargin="0" marginheight="0">

<table align="center" cellspacing="1" cellpadding="5" border="0">

  <html:form action="/copyAdminRights" method="post">

  <bean:define id="form" name="copyAdminRightsForm" scope="request" type="vkc.administration.form.CopyAdminRightsForm"/>
  <bean:define id="userInfo" name="form" property="userInfo" type="vkc.view.bean.UserInfo"/>
  
  <html:hidden name="form" property="userId" />
  <html:hidden name="form" property="redirect"/>


  <tr>
    <td align="center">
      
	  <table width="1%" align="center" cellpadding="0" cellspacing="5" border="0">
        <logic:present name="<%=Globals.ERROR_KEY%>">
          <tr height="80px" valign="middle">
            <td align="left" nowrap="nowrap" colspan="2">
              <span style="color:red;font-weight:600"><vkc:errors/></span>
            </td>
          </tr>
          <vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="5" bottomSpace="5"/>
        </logic:present>
       
        <logic:messagesPresent message="true">  <!-- Messages -->
	        <html:messages id="msg" message="true">  
	          <tr height="80px" valign="middle">  
	            <td align="left" nowrap="nowrap" colspan="2">
	              <span style="color:green;font-weight:600">
	                <vkc:write filter="false" name="msg"/>
	              </span>
	        	</td>
	          </tr>
	          <vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="5" bottomSpace="5"/>
	        </html:messages>
        </logic:messagesPresent>
 
        <tr>
		  <td colspan="2" nowrap>
            <span style="font-weight:600">
              <vkc:message filter="false" key="vkc.administration.copyAdminRights"/>
            </span>  
   	      </td>
		</tr>		
			
		<vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="5" bottomSpace="5"/>
		
		<tr>
		   <td>
		     <b><vkc:message filter="false" key="vkc.administration.copyAdminRights.from"/>:</b>
		   </td>
		   <td nowrap>
		     <vkc:write name="userInfo" property="lastnameLabel"/>
		   </td>  
		</tr>
		
        <tr>
		  <td nowrap>
		      <b><vkc:message key="vkc.administration.copyAdminRights.to" />:</b> 		  
  	      </td>
		  <td>
            <bean:define id="validUsers" name="form" property="validUsers" type="java.util.List"/>
            <html:select name="form" property="selectedUserId" size="1">
              <vkc:options collection="validUsers" property="userId" labelProperty="lastnameLabel"/>
            </html:select>          
          </td>        
        </tr>
        
		<vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="5" bottomSpace="5"/>
        
		<tr>
          <td align="center" colspan="2">
            <table align="center" cellpadding="0" cellspacing="5" border="0">
              <tr>
                <td><vkc:button property="action.copy.adminrights" onclick="javascript:disableAllButtonsAndSubmit(this);"><vkc:message key="button.execute"/></vkc:button></td>
                <td><vkc:button property="action.back" onclick="javascript:disableAllButtonsAndSubmit(this);"><vkc:message key="button.back"/></vkc:button></td>
              </tr>
            </table>    
          </td>
        </tr>
	  </table>
    </td>
  </tr>
  </html:form>
</table>
</body>

</html:html>