<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" prefix="html"%>
<%@ taglib uri="struts-bean" prefix="bean"%>
<%@ taglib uri="vkc-taglib"  prefix="vkc" %>

<html:html locale="true">
<head>
  <vkc:init/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="expires" content="0">
  <meta name="description" content="Help page of Virtual Knowledge Center">

  <vkc:cssinclude />

  <title><vkc:message key="vkc" /></title>
  <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

  <script type="text/javascript">

  window.name = "MAINVIEW";

  function init() {
  }
  
  function confirmation(){
    return confirm('<vkc:message javascript="true" filter="false" key="vkc.string.confirmation"/>');
  }

  </script>
</head>

<!-- ENGLISH VERSION ************************************************** -->

<!-- Version 28-Feb-2008 VKC 4.1 -->
<!-- Alternatives Darstellungsformat -->

<body onload="init();">
<a name="top"></a>

<h1>
<img src="pic3-vkc-logo.gif" hspace="5" align="middle" alt="VKC logo">
VKC Help
</h1>

 
<h2><a name="news"></a>
News from your administration team</h2>

<p>
When you login, the latest news from the VKC administration team will be
displayed automatically if there are any. After clicking <b>Continue login</b>
the document storage will be opened as usual.
</p>
<img src="pic3-vkc-news.gif" border="1"
alt="News function" align="right">
<p>
During your VKC session this kind of news can be accessed by function tab <b>News</b>.
<br clear=all>
</p>


<h2>
Help topics
</h2>

<p>
<b>Click into the image for help.</b>
<br>
You may also use the
<a href="#textual">textual links</a>
below.
</p>

<!-- IMAGE MAP ************************************************** -->

<map name="vkcmain">
<area title="View selection"     shape=rect coords="225,0,484,13"    href="#views">
<area title="Logout"             shape=rect coords="618,12,670,27"   href="#logout">
<area title="Document storage"   shape=rect coords="70,40,160,60"    href="#storage">
<area title="Favorites"          shape=rect coords="166,40,215,60"   href="#favorites">
<area title="History"            shape=rect coords="219,40,258,60"   href="#history">
<area title="Latest additions"   shape=rect coords="263,40,343,60"   href="#latest">
<area title="Bestseller"         shape=rect coords="348,40,401,60"   href="#best">
<area title="Advanced search"    shape=rect coords="408,40,492,60"   href="#advsearch">
<area title="Messenger"          shape=rect coords="499,40,556,60"   href="#messenger">
<area title="News"               shape=rect coords="551,40,583,60"   href="#news">
<area title="Profile"            shape=rect coords="590,40,626,60"   href="#profile">
<area title="Help"               shape=rect coords="629,40,658,60"   href="#help">
<area title="VKC path"           shape=rect coords="0,62,247,110"    href="#path"> 
<area title="Category functions" shape=rect coords="336,63,713,85"   href="#catfunctions">
<area title="Subcategories"      shape=rect coords="0,111,247,225"   href="#categories">
<area title="Simple search"      shape=rect coords="498,88,668,138"  href="#search">
<area title="Sort documents"     shape=rect coords="500,139,668,184" href="#categories">
<area title="Function selection" shape=rect coords="0,227,223,262"   href="#functionlist">
<area title="Username"           shape=rect coords="441,275,612,291" href="#username">
</map>

<p>
<img src="pic3-altf-vkc-main.gif" width="673" height="292" border="2" 
alt="clickable image of VKC page" usemap="#vkcmain">
</p>


<!-- TEXTUAL LINKS ************************************************** -->

<h3>
<a name="textual"></a>
Textual links
</h3>

<dl>
<dt><small>VKC Session:</small></dt>
<dd>
<a href="#username">Username</a>&nbsp;&nbsp;
<a href="#views">View selection</a>&nbsp;&nbsp;
<a href="#logout">Logout</a>&nbsp;&nbsp;
<a href="#webdav">Web&nbsp;folder/WebDAV&nbsp;view</a>&nbsp;&nbsp;
<br>&nbsp;
</dd>

<dt><small>VKC Functions:</small></dt>
<dd>
<a href="#storage">Document storage</a>
<ul>
<a href="#path">VKC path</a>&nbsp;&nbsp;
<a href="#navigator">Explorer</a>&nbsp;&nbsp;
<a href="#categories">Subcategories&nbsp;/&nbsp;document list</a>&nbsp;&nbsp;
<a href="#functionlist">Function selection</a>&nbsp;&nbsp;
<a href="#search">Simple&nbsp;search</a>&nbsp;&nbsp;
<a href="#catfunctions">Category&nbsp;functions</a><br>&nbsp;
</ul>

<ul>
<small>Category functions:</small><br>
<a href="helpmod-catfunctions-alternate.jsp#caturl">Display&nbsp;category&nbsp;link&nbsp;as&nbsp;URL</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#reloadcat">Refresh&nbsp;page</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#gohome">Go&nbsp;to&nbsp;home&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#sethome">Define&nbsp;as&nbsp;home&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#showdocs">Show&nbsp;properties&nbsp;for&nbsp;all&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#hidedocs">Hide&nbsp;properties&nbsp;for&nbsp;all&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#fullview">Show&nbsp;all&nbsp;properties&nbsp;for&nbsp;all&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#shortview">Show&nbsp;individual&nbsp;properties&nbsp;for&nbsp;all&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#countcatdoc">Compute&nbsp;count&nbsp;of&nbsp;subcategories&nbsp;and&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#archivecat">Archive&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#clustering">Cluster&nbsp;all&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#insert">Insert&nbsp;document</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#paste">Paste&nbsp;from&nbsp;clipboard</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#createcat">Create&nbsp;new&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#editcat">Edit&nbsp;category&nbsp;properties</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#deletecat">Delete&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#permissioncat">View/edit&nbsp;permissions</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#notify">Add&nbsp;notification&nbsp;for&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions-alternate.jsp#addfavcat">Add&nbsp;category&nbsp;to&nbsp;VKC&nbsp;favorites</a>
<a href="helpmod-webfolder.jsp#openwebfolderview">Open&nbsp;Web&nbsp;folder&nbsp;for&nbsp;this&nbsp;category&nbsp;(WebDAV)</a>
<small>(Internet Explorer only)</small>
</ul>

<ul>
<small>Document functions:</small><br>
<a href="helpmod-docentry-alternate.jsp#docurl">Display&nbsp;document&nbsp;link&nbsp;as&nbsp;URL</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#jumpcat">Go&nbsp;to&nbsp;originating&nbsp;category</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#chown">Change&nbsp;publisher</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#editdoc">Edit&nbsp;document&nbsp;properties</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#addversion">Add&nbsp;new&nbsp;version</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#showversions">Show&nbsp;all&nbsp;versions</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#deletedoc">Delete&nbsp;document</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#related">Related&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#notifydoc">Add&nbsp;notification&nbsp;for&nbsp;related&nbsp;documents</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#addfavdoc">Add&nbsp;document&nbsp;to&nbsp;VKC&nbsp;favorites</a>&nbsp;&nbsp;
<a href="helpmod-docentry-alternate.jsp#toplink">Top&nbsp;of&nbsp;page</a>
</ul>
<br>&nbsp;

<a href="#favorites">Favorites</a>&nbsp;&nbsp;
<a href="#history">History</a>&nbsp;&nbsp;
<a href="#latest">Latest&nbsp;additions</a>&nbsp;&nbsp;
<a href="#best">Bestseller</a>&nbsp;&nbsp;
<a href="#advsearch">Advanced&nbsp;search</a>&nbsp;&nbsp;
<a href="#messenger">Messenger</a>&nbsp;&nbsp;
<a href="#profile">Profile</a>&nbsp;&nbsp;
<a href="#help">Help</a>&nbsp;&nbsp;
<br>&nbsp;<br>
<a href="help-admin.jsp">Administration</a>
<small>(for users with administration privileges only)</small>&nbsp;&nbsp;
</dd>
</dl>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<!-- VKC SESSION   ****************************************************** -->

<h2>
VKC Session</h2>

<h3>
<a name="username"></a>
Username</h3>


<p>
<img src="pic3-vkc-username.gif" hspace="10" vspace="10" border="1" 
alt="Username" align="left">
This field shows the username of the current user and furthermore
the corresponding full name in parantheses.
If this is not your own login, please use function <a href="#logout">logout</a>
and then login again with the appropriate username and password.
</p>
<p>
The icon in front of the username indicates whether the current user
has <b>administrative privileges</b>:

<table cellspacing="5">
<tr valign="top">
       <td><img src="pic3-view-icon-admin.gif" border="0" alt=""></td>
       <td>full administrative rights</td>
</tr>
<tr valign="top">
       <td><img src="pic3-view-icon-dadmin.gif" border="0" alt=""></td>
       <td>dedicated administrative rights</td>
</tr>
<tr valign="top">
       <td><img src="pic3-view-icon-user.gif" border="0" alt=""></td>
       <td>no administrative rights</td>
</tr>
</table>

After logging in, your personal home category will be loaded in the
document storage, if defined. Otherwise the root category of the
structure will be shown.
If no category is shown but a message indicating insufficient access
permissions, you should get into your <a href="#profile">profile</a>,
set a new home category and save the profile.
Thereafter you should be able to enter
the <a href="#storage">document storage</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<h3>
<a name="views"></a>
View selection</h3>

<img src="pic3-vkc-viewselection.gif" border="1" alt="view selection">

<p>
The current view of the document storage is the <b>category view</b>.
It is described in detail on this help page.<br>
Users who have got permission by the administrator to change to
a different view will find functional tabs for view selection
at the top of the page.
</p>
<p>
You may change to the <b>project view</b> to work on projects
or to the <b>functional view</b> for a task oriented representation.
Details of those views are explained in a separate help page that
is available in the new view.
</p>
<p>
The view that shall be loaded directly after login can be predefined
in your <a href="#profile">profile</a> (parameter <b>System view</b>).
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<h3>
<a name="logout"></a>
Logout</h3>

<img src="pic3-vkc-logout.gif" border="1" alt="Logout">

<p>
By clicking on <b>Logout</b> the current VKC session
is termiated. The login form will be loaded.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<h3>
<a name="webdav"></a>
Web folder/WebDAV view</h3>

<p>
VKC also supports the WebDAV protocol.
Users may access the complete VKC document storage or
a subtree of it as a web folder.
VKC categories and documents become visible in the file system explorer
and can be handled similar to usual file system directories or files.
It is possible, for example, to insert complete directories from the
file system into VKC by the copy/paste function. This can also be done
vice versa to export VKC categories and their documents to the file system.
However, this mechanism only copies the contents of documents and not
VKC document properties ("meta data"). 
</p>

<p>
For details see <a href="helpmod-webfolder.jsp">help page "How to use VKC as a Web folder (WebDAV)"</a>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<!-- VKC FUNCTIONS ************************************************ -->

<h2>
VKC Functions</h2>

<h3>
<a name="storage"></a>
Document storage</h3>

<p>
All VKC documents are accessible in the document storage.
It is structured hierarchically by categories.
Categories are similar to folders in a file structure.
Furthermore, you can add keywords and a description to each
category supporting the appropriate filing and quick
retrieval of documents.
The description and contents of a category is presented
on a VKC page.
</p>
<p>
Such a VKC page provides access to the documents of the
category, a simple search function, as well as navigational functions.
</p>
<p>
There may be additional functions for the category or for
the documents in the category depending on the access permissions
of the current user.
</p>
<p>
After logging in, your personal home category will be loaded in the
document storage, if defined. Otherwise the root category of the
structure will be shown.
If no category is shown but a message indicating insufficient access
permissions, you should get into your <a href="#profile">profile</a>,
set a new home category and save the profile.
Thereafter you should be able to enter
the document storage.
</p>

<p>
<a href="#storage1">Detailed description of document storage ...</a>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>

<h3>
<a name="favorites"></a>
Favorites</h3>


<p>
This function can be used to accelerate access to your favorite categories
or documents. Two distinct lists of favorites are maintained for categories
and documents respectively. 
</p>
<p>
When you invoke this function by clicking on
its function tab, the list of <b>favorite categories</b> will be shown.
</p>
<img src="pic3-vkc-favorites-cat.gif" width="381" height="191" border="1" 
alt="favorite categories">
<p>
You may switch to one of the categories by clicking on its category path.
The document view of this category will be loaded.
</p>
<p>
For deleting a category entry from the list you have to check the box on the
left of the entry and click on <b>Delete selected favorites</b>.
Selection of multiple entries is permitted.
If you want to delete all entries at once, check the box in front of
<b>Check all</b> and click on <b>Delete selected favorites</b> afterwards.
</p>
<p>
If you want to add a new category to the list of favorites,
you have to use category function "Add category to VKC favorites"
<img src="pic3-button-add-catfavorites.gif" align="middle" alt="">
in the document view.
</p>
<p>
You can switch to the list of favorite documents by clicking on hyperlink
<b>Favorite documents</b>.
The list shows the titles of your preferred documents.
<br>
By clicking on the circular plus symbol
<img src="pic3-button-plus-big.gif" align="middle" alt="">
in front of the title, you may display your customized selection
of document attributes.
Furthermore, by clicking on the square plus symbol
<img src="pic3-button-plus.gif" align="middle" alt="">
in the expanded document entry, you may view all available
properties of the document.
</p>
<img src="pic3-altf-vkc-favorites-doc.gif" width="699" height="312" border="1" 
alt="favorite documents">
<p>
By clicking on a document <b>title</b> (expanded view: on the file name),
a window with the document contents will be opened.
If your browser cannot display the document type or run the appropriate application,
you may download the file and work on a local copy.
</p>
<p>
If you click on a <b>category name</b>, the document view of the category will be
loaded in the current browser window.
</p>
<p>
You may remove documents from the list of favorites by checking the box to
the left of the entry and clicking on <b>Delete selected favorites</b>.
If you want to delete all entries at once, check the box in front of
<b>Check all</b> and click on <b>Delete selected favorites</b> afterwards.</p>
<p>
You can add a document to the list of favorites by using function
"Add document to VKC favorites"
<img src="pic3-button-add-docfavorites.gif" align="middle" alt="">
in the document entry shown in the document view of its category.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<h3>
<a name="history"></a>
History</h3>

<p>
This function provides you with a list of up to five documents recently
accessed by you.
<br>
By clicking on the circular plus symbol
<img src="pic3-button-plus-big.gif" align="middle" alt="">
in front of the title, you may display your customized selection
of document attributes.
Furthermore, by clicking on the square plus symbol
<img src="pic3-button-plus.gif" align="middle" alt="">
in the expanded document entry, you may view all available
properties of the document.
</p>
<img src="pic3-altf-vkc-history.gif" width="701" height="277" border="1" 
alt="History">
<p>
By clicking on a document <b>title</b> (expanded view: on the file name),
a window with the document contents will be opened.
If your browser cannot display the document type or run the appropriate application,
you may download the file and work on a local copy.
</p>
<p>
If you click on a <b>category name</b>, the document view of the category will be
loaded in the current browser window.
</p>
<p>
By clicking on <b>Delete document history</b> the history list will be cleared.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<h3>
<a name="latest"></a>
Latest additions</h3>

<p>
This functions provides a quick overview of new VKC documents.
At the top, some parameters can be defined for the selection of documents.
</p>
<ul>
<li><b>Publication date:</b><br>
You may define begin and end of the period to be taken into account
(default: one month prior to the current date).</li>
<li><b>Category path:</b><br>
By clicking on symbol
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">
you may specify a category path where to start searching for new documents.
Only the subtree of that category will be searched
(default: VKC root category).</li>
<li><b>Sorting:</b><br>
You may select the sort order
(default: descending by publication date).</li>
<li><b>Hits per page:</b><br>
You may define the number of entries shown on one page
(default: 10 hits).</li>
</ul>
<p>
When you click on button <b>Search</b> the list will be rebuilt according to
the defined parameters.
</p>
<p>
As a result a list of documents is shown.
<br>
By clicking on the circular plus symbol
<img src="pic3-button-plus-big.gif" align="middle" alt="">
in front of the title, you may display your customized selection
of document attributes.
Furthermore, by clicking on the square plus symbol
<img src="pic3-button-plus.gif" align="middle" alt="">
in the expanded document entry, you may view all available
properties of the document.
</p>
<p>
<img src="pic3-altf-vkc-latest.gif" width="781" height="635" border="1" 
alt="Latest additions">
</p>
<p>
By clicking on a document <b>title</b> (expanded view: on the file name),
a window with the document contents will be opened.
If your browser cannot display the document type or run the appropriate application,
you may download the file and work on a local copy.
</p>
<p>
If you click on a <b>category name</b>, the document view of the category will be
loaded in the current browser window.
</p>


<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h3>
<a name="best"></a>
Bestseller</h3>

<p>
This function provides a quick overview of the probably most
interesting VKC documents.
At the top, some parameters can be defined for the selection of documents.
</p>
<ul>
<li><b>Publication date:</b><br>
You may define begin and end of the period to be taken into account
(default: one year prior to the current date).</li>
<li><b>Accessing date:</b><br>
You may define begin and end of the period to be taken into account
(default: one month prior to the current date).</li>
<li><b>Category path:</b><br>
By clicking on symbol
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">
you may specify a category path where to start searching for documents.
Only the subtree of that category will be searched
(default: VKC root category).</li>
<li><b>Sorting:</b><br>
You may select the sort order
(default: descending by number of accesses).</li>
<li><b>Hits per page:</b><br>
You may define the number of entries shown on one page
(default: 10 hits).</li>
</ul>
<p>
When you click on button <b>Search</b> the list will be rebuilt according to
the defined parameters.
</p>
<p>
As a result a list of documents will be shown.
For each document the title and the access count are listed.
<br>
By clicking on the circular plus symbol
<img src="pic3-button-plus-big.gif" align="middle" alt="">
in front of the title, you may display your customized selection
of document attributes.
Furthermore, by clicking on the square plus symbol
<img src="pic3-button-plus.gif" align="middle" alt="">
in the expanded document entry, you may view all available
properties of the document.
</p>

<p>
<img src="pic3-altf-vkc-bestseller.gif" width="785" height="659" border="1" 
alt="Bestseller">
</p>
<p>
By clicking on a document <b>title</b> (expanded view: on the file name),
a window with the document contents will be opened.
If your browser cannot display the document type or run the appropriate application,
you may download the file and work on a local copy.
</p>
<p>
If you click on a <b>category name</b>, the document view of the category will be
loaded in the current browser window.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h3>
<a name="advsearch"></a>
Advanced search</h3>

<p>
This function supports sophisticated retrieval of VKC documents.
The following search form will be displayed:
</p>
<p>
<img src="pic3-vkc-advsearch.gif" width="667" height="501" border="1" 
alt="advanced search form">
</p>
<p>
There are different fields for entering a search string to qualify
where to search. The full-text search searches the document contents,
while all other fields refer to descriptional data of the document
specified during publication. If you specify search strings in more
than one field they are combined by a logical AND.
Further details can be found on
<a href="helpmod-searchstring.jsp">help page "Syntax of Search Patterns"</a>.
</p>
<p>
The list of results may be further restricted by specifying an interval
of <b>publication dates</b>
or by selecting a <b>document type</b> from the given list.<br>
You can also specify a <b>category path</b> to restrict the search
to a subtree of the VKC structure.
This can be done by clicking on symbol
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">.
A small explorer window will be opened to select a category.
</p>
<p>
You may also specify the <b>sort order</b> for the results and
select the <b>number of hits</b> that shall be displayed on one page.
</p>
<p>
The search is activated by clicking on button <b>Search</b>.
</p>

<p>
<a name="advsearch_results"></a>
<b>List of results</b>
</p>

<p>
If matching results have been found, the list of results is presented below
the search form.
The total number of <b>hits</b> and the <b>duration</b> of the search are shown.
In case of multiple pages of results, you will find <b>page numbers</b> and
further handles for <b>paging</b> through the results.
The list of <b>results</b> shows the score of each entry and the titles
of the documents.
<br>
By clicking on the circular plus symbol
<img src="pic3-button-plus-big.gif" align="middle" alt="">
in front of the title, you may display your customized selection
of document attributes.
Furthermore, by clicking on the square plus symbol
<img src="pic3-button-plus.gif" align="middle" alt="">
in the expanded document entry, you may view all available
properties of the document.
</p>
<p>
<img src="pic3-altf-vkc-advsearch-result.gif" width="779" height="332" border="1" 
alt="search results">
</p>
<p>
By clicking on a document <b>title</b> (expanded view: on the file name),
a window with the document contents will be opened.
If your browser cannot display the document type or run the appropriate application,
you may download the file and work on a local copy.
</p>
<p>
If you click on a <b>category name</b>, the document view of the category will be
loaded in the current browser window.
</p>
<p>
Button <b>Register query</b> can be used to copy the performed query to
the messenger and to open the <a href="#messenger">messenger form</a>.
Whenever a document matching the query is published, you will be notified
automatically (if notification is enabled).
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h3>
<a name="messenger"></a>
Messenger</h3>

<p>
This function opens a form showing the notification settings of
the current user.<br>
If option <b>messaging enabled</b> is turned on, the user is notified
by email:
</p>
<ul>
<li>when new documents are inserted into the <b>registered
categories</b>,</li>
<li>when documents similar to the <b>registered documents</b>
are added or</li>
<li>when documents matching <b>registered queries</b> are published.</li>
</ul>
<p>
<img src="pic3-vkc-messenger.gif" border="1" alt="Messenger">
</p>
<p>
The <b>messaging time period</b> specifies the time interval between
notifications. If you select "15&nbsp;minutes", the check is performed
every 15 minutes. If you select "1&nbsp;day", no more than one
message a day will be sent.
</p>
<p>
Changes will become effective after clicking
<b>Save changes</b>.
</p>
<p>
<b>Categories</b> or <b>documents</b> can be registered directly on the corresponding
VKC page of the category.<br>
See <a href="helpmod-catfunctions-alternate.jsp#notify">help page
"add notification for category"</a>
or <a href="helpmod-docentry-alternate.jsp#notifydoc">help page
"add notification for related documents"</a>
</p>
<p>
You can specify that all <b>subcategories</b> ("subdirs") of a category shall be
included. For registered documents you may specify a <b>threshold</b>
in percent that determines which documents will be considered as "related".
</p>
<p>
<b>Queries</b> may either be entered in a search form after clicking button
<b>Create query</b> or can be stored directly from the
<a href="#advsearch">advanced search form</a>
after performing a search query.
By clicking on button <b>Edit</b> the definition of a query may be modified.
</p>
<p>
<b>User defined subjects:</b><br>
For every registration you may specify an own
<b>subject for notification</b>.
Notifications that have been triggered by such a registration
will be delivered in a separate email with the user defined
subject followed by the document titles.
If a new document triggers multiple registrations, the assignment
of a subject checks 1. the document registrations, 2. the category
registrations, 3. the search queries. The first match will be used.
Notifications with no user defined subject are delivered in
one common email as known from earlier versions of VKC.
</p>
<p>
Notifications are composed in HTML format by default.
You may change this setting to "plain text" format in your personal
<a href="#profile">profile</a>.
</p>
<p>
<b>Removing registrations of categories, documents, or queries:</b><br>
For removing a category from the messenger you have to enter
the messenger form, check off the respective entry (see example below)
and click <b>Save changes</b>.
Registered documents or queries may be removed from the messenger
analogously.
</p>
<p>
<img src="pic3-vkc-messenger-del.gif" border="1" alt="Messenger">
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h3>
<a name="profile"></a>
Profile</h3>
 
<p>
Every VKC user has a <b>personal profile</b> including personal
data, options, and functions for changing the password 
and for disposition of expired documents.
Function "Profile" can be used to access and modify your profile.
</p>
<p>
For details see <a href="helpmod-profile.jsp">help page "Profile"</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h3><a name="help"></a>
Help</h3>

<p>
This function loads this help file into the current browser window.
You may use the usual browser functions to open help in a new tab
or window instead.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<!-- DOCUMENT STORAGE SECTION ******************************************* -->

<!-- NAVIGATION TOPICS ************************************************** -->

<h3>
<a name="storage1"></a>
Document Storage</h3>

<p>
The functions provided by the document storage
are described in detail in this section.
</p>

<dl>
<dt><a href="#path">VKC path</a></dt>
<dt><a href="#navigator">Explorer</a></dt>
<dt><a href="#categories">Subcategories&nbsp;/&nbsp;document list</a>
with <a href="#functionlist">Function selection</a></dt>
<dt><a href="#search">Simple search</a></dt>
<dt><a href="#catfunctions">Category functions</a></dt>
</dl>


<h4>
<a name="path"></a>
VKC path</h4>

<p>
<img src="pic3-vkc-path.gif" border="1" alt="VKC path">
</p>

<p>
This field shows all categories in the path of categories
starting at the VKC entry up to the current category.
The icon in front of the path can be used to open the
<a href="#navigator">Explorer</a>.
By clicking on a category in the path, the corresponding
page will be loaded in the browser window.
</p>
<p>
Furthermore, the description of the category will be displayed.
If dynamic attributes have been defined during creation or editing of the category,
they are also shown in this section.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h4>
<a name="navigator"></a>
Explorer</h4>

<p>
<img src="pic3-vkc-navigator-open.gif" border="1" alt="open Explorer">
</p>
<p>
This function opens the <b>VKC Explorer</b> on the left side of
the browser window.
The explorer shows the VKC category structure and complements
the navigation functions of the usual VKC pages.
This is especially helpful to gain an overview of a deeply nested
VKC structure. The explorer is similar to a file system browser.
</p>
<p>
<img src="pic3-altf-vkc-navigator.gif" width="826" height="287" border="1" 
alt="VKC Explorer">
</p>
<p>
The category names listed in the explorer are hyperlinks.
Clicking on a categoy name will load the corresponding VKC page
on the right side of the browser window.
If you change to a different category, the explorer will be updated
accordingly.
</p>
<p>
<img src="pic3-vkc-navigator-plus.gif" alt="expand folder" border="1" hspace="5" align="left">
Categories may be expanded by clicking on the plus symbol
in front of the folder icon.</p><p>
<img src="pic3-vkc-navigator-minus.gif" alt="collapse folder" border="1" hspace="5" align="left">
Clicking on the minus symbol reverses the action.
</p>
<p>
<img src="pic3-vkc-navigator-denied.gif" alt="access denied" border="1" hspace="5" align="left">
Categories that are crossed out are not accessible by the user.
<br clear=all>
</p>
<p>
To return to a VKC representation <b>without explorer</b>,
you have to click on the big red X in the top right corner of the explorer
window.
</p>
<p>
<img src="pic3-vkc-navigator-close.gif" border="1" alt="close Explorer">
</p>
<p>
If the explorer shall be open directly after login and remain active during
the session, you may turn on option <b>Show explorer window</b> in your
<a href="#profile">profile</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h4>
<a name="categories"></a>
Subcategories / document list</h4>

<p>
In this section a link to the <b>parent category</b> and links to all
direct <b>subcategories</b> are shown.
There is no parent category on the VKC entry page because it is
the root category for the VKC.
If you click on one of the category entries, the corresponding
VKC page is loaded.
</p>

<p>
<img src="pic3-altf-vkc-docsection.gif" width="651" height="196" border="1" 
alt="subcategories and documents">
</p>

<p>The following <b>folder icons</b> are used for categories:

<table cellspacing="5">
<tr valign="top">
       <td><img src="pic3-button-folder-empty.gif" alt=""></td>
       <td>Empty folder</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder.gif" alt=""></td>
       <td>Folder without query for virtual documents</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-with-virtual-docs.gif" alt=""></td>
       <td>Folder with query for virtual documents</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-projects-root.gif" alt=""></td>
       <td>Top level category for projects</td>
</tr>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-templates-root.gif" alt=""></td>
       <td>Top level category for project templates</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-views-root.gif" alt=""></td>
       <td>Top level category for functional views</td>
</tr>
</table>

Below the categroy names (indicated by the folder icon) you can
find the list of documents in the current category
(indicated by the file symbol).
The document <b>title</b> is a hyperlink to the corresponding document.
A click on the title opens the document in a separate window.
</p>
<p>
Document entries of a category are sorted according to publication date by default.
The newest entry can be found on top of the list. You may select a different order
in selection list <b>Sort documents</b>.
When you click on a different sort order, the document list
will be rearranged accordingly.
</p>
<p>
You may use the <a href="#functionlist">function selection</a>
to copy, cut, paste, or delete documents.
</p>
<p>
By clicking on the circular plus symbol
<img src="pic3-button-plus-big.gif" align="middle" alt="">
in front of the title, you may display your customized selection
of document attributes and the function icons available for the document.
</p>
<img src="pic3-altf-vkc-categories-plus.gif" width="486" height="307" border="1" 
alt="document entry">
<p>
Furthermore, by clicking on the square plus symbol
<img src="pic3-button-plus.gif" align="middle" alt="">
in the expanded document entry, you may view all available
properties of the document.
A detailed description of a document entry can be found on
<a href="helpmod-docentry-alternate.jsp">help page "Document Entry"</a>. 
</p>
<p>
Expanding (and compressing) of document entries to user or full view
may be done for all documents of the category at once using the
<a href="#catfunctions">category functions</a>:
<table cellspacing="5">
<tr valign="top">
       <td><img src="pic3-button-show-all-documents.gif" alt=""></td>
       <td>Show properties for all documents</td>
       <td><img src="pic3-button-hide-all-documents.gif" alt=""></td>
       <td>Hide properties for all documents</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-documents-fullview.gif" alt=""></td>
       <td>Show all properties for all documents</td>
       <td><img src="pic3-button-category-individualview.gif" alt=""></td>
       <td>Show individual properties for all documents</td>
</tr>
</table>

Documents include two different kinds of documents:
</p>
<p>
<b>Published documents</b>
(Icons:
<img src="pic3-button-document.gif" align="middle" alt="">
<img src="pic3-button-documents.gif" align="middle" alt="">)
have been added to the category by function
"Insert document"
<img src="pic3-button-newdocument.gif" align="middle" alt="">.
(Details can be found on
<a href="helpmod-catfunctions-alternate.jsp#insert">help page "Insert document"</a>.)
</p>
<p>
<b>Virtual documents</b>
(Icons:
<img src="pic3-button-document-virtual.gif" align="middle" alt="">
<img src="pic3-button-documents-virtual.gif" align="middle" alt="">)
are dynamical results of a query associated with the
current category.
They are references to documents published in other categories.
Such a query for virtual documents can be defined by authorized users
by function "Edit category properties"
<img src="pic3-button-editcat.gif" align="middle" alt="">.
(Details can be found on
<a href="helpmod-catfunctions-alternate.jsp#editcat">help page "Edit category properties"</a>.)
Virtual documents provide only read access in the document view.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<h4>
<a name="functionlist"></a>
Function selection</h4>

<p>
You may <b>copy, delete, cut, or paste categories or documents</b>
directly from the list of categories and documents.
Therefore, you have to mark one or more of them, select
the appropriate function, and click on <b>Execute</b>.
</p>
<p>
<img src="pic3-altf-vkc-functionlist.gif" width="317" height="271" border="1" 
alt="function selection list">
</p>
<p>
The list offers only functions which may be performed by the
user according to his <b>access permissions</b> for the current category.
"Copy" requires read permission, all others need also write permission.
For deleting or cutting delete permission is required.
</p>
<p>
Functions "copy" and "cut" copy the selected objects to the <b>clipboard</b>.
Function "paste" inserts the objects from the clipboard into the
current category. Cut objects are deleted in the originating category
after successful insertion into the new category.
</p>
<p>
Please note:
If a document consists of multiple versions,
only the newest version will be copied by the "copy" function.
</p>
<p>
Documents or categories deleted accidentally can be restored for a certain
time by the administrator. You have to remember at least the date of deletion
and the username.
</p>
<p>
These functions cannot be applied to <b>virtual documents</b> because they are
dynamical references to documents located in other categories.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<h4>
<a name="search"></a>
Simple search</h4>

<p>
VKC provides two simple search functions:
search for
<a href="#docsearch">documents</a>
or for
<a href="#catsearch">categories</a>.
</p><p>
The document search is preselected by default; 
it is indicated by the file icon
<img src="pic3-button-search-doc.gif" border="0" alt="document search">.
</p><p>
You may switch to the category search by clicking on the icon;
category search is indicated by the folder icon
<img src="pic3-button-search-cat.gif" border="0" alt="category search">.
</p>

<p>
<a name="docsearch"></a>
<b>Simple document search</b></p>
<p>
<img src="pic3-vkc-search-doc.gif" border="1" alt="Simple document search">
</p>

<p>
In this form you may enter a string for an immediate,
index-based full text search of the VKC repository. If more than one
word is given in the search string, documents matching <b>any</b>
of them will be found (logical OR). 
Wildcards may be included in the string: asterisk '*' (for an arbitrary string)
or question mark '?' (for one single arbitrary character).
If these special characters shall appear in the string literally,
they have to be preceded by a backslash '\'.
Clicking on button <b>Search</b> starts the search.
</p>
<p>
By default the complete VKC is searched. If you want to restrict the
search to the subtree below your current category,
check the box <b>"search from here"</b>.
</p>
<p>
The results are presented below an advanced search form.
See <a href="#advsearch">Advanced search</a> for details ...
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>

<p>
<a name="catsearch"></a>
<b>Category search</b></p>

<p>
<img src="pic3-vkc-search-cat.gif" border="1" alt="Category search">
</p>
<p>
Here you may enter a string for a simple search of category names in the
VKC repository. 
Wildcards may be included in the string: asterisk '*' (for an arbitrary string)
or question mark '?' (for one single arbitrary character).
If these special characters shall appear in the string literally,
they have to be preceded by a backslash '\'.
Clicking on button <b>Search</b> starts the search.
</p>
<p>
By default the complete VKC is searched. If you want to restrict the
search to the subtree below your current category,
check the box <b>"search from here"</b>.
</p>
<p>
The resulting list of category names is presented
in a separate window. Category descriptions and keywords are included,
if they have been provided by the owner.
By clicking on a category path in the list, the corresponding category view
will be displayed in the main VKC window.
</p>


<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>



<!-- CATEGORY FUNCTIONS -->

<h2>
<a name="catfunctions"></a>
Functions for Categories</h2>

<p>
On a VKC page only those functions are provided which may be
performed by the user according to the access permissions of
the category.
</p>

<p>
Click on a function in the image below to jump to the detailed
function description or proceed to
<a href="helpmod-catfunctions-alternate.jsp">help page "Functions for Categories"</a>
directly.
You may return by using the <b>back</b> button of your browser.
</p>


<map name="categoryfunctions">
<area title="categorylink as URL" shape=rect coords="76,88,95,107" href="helpmod-catfunctions-alternate.jsp#caturl">
<area title="categorylink as URL" shape=rect coords="3,68,70,107" href="helpmod-catfunctions-alternate.jsp#caturl">
<area title="refresh page" shape=rect coords="103,88,118,107" href="helpmod-catfunctions-alternate.jsp#reloadcat">
<area title="refresh page" shape=rect coords="16,52,117,62" href="helpmod-catfunctions-alternate.jsp#reloadcat">
<area title="go to home category" shape=rect coords="121,88,138,107" href="helpmod-catfunctions-alternate.jsp#gohome">
<area title="go to home category" shape=rect coords="2,39,137,48" href="helpmod-catfunctions-alternate.jsp#gohome">
<area title="define home category" shape=rect coords="141,88,162,107" href="helpmod-catfunctions-alternate.jsp#sethome">
<area title="define home category" shape=rect coords="10,13,163,36" href="helpmod-catfunctions-alternate.jsp#sethome">
<area title="show properties" shape=rect coords="169,88,189,107" href="helpmod-catfunctions-alternate.jsp#showdocs">
<area title="show properties" shape=rect coords="171,6,388,15" href="helpmod-catfunctions-alternate.jsp#showdocs">
<area title="hide properties" shape=rect coords="192,88,212,107" href="helpmod-catfunctions-alternate.jsp#hidedocs">
<area title="hide properties" shape=rect coords="193,22,357,45" href="helpmod-catfunctions-alternate.jsp#hidedocs">
<area title="full view" shape=rect coords="212,88,230,107" href="helpmod-catfunctions-alternate.jsp#fullview">
<area title="full view" shape=rect coords="71,123,229,150" href="helpmod-catfunctions-alternate.jsp#fullview">
<area title="short view" shape=rect coords="234,88,251,107" href="helpmod-catfunctions-alternate.jsp#shortview">
<area title="short view" shape=rect coords="91,155,249,181" href="helpmod-catfunctions-alternate.jsp#shortview">
<area title="count categories/documents" shape=rect coords="256,88,275,107" href="helpmod-catfunctions-alternate.jsp#countcatdoc">
<area title="count categories/documents" shape=rect coords="125,187,272,214" href="helpmod-catfunctions-alternate.jsp#countcatdoc">
<area title="archive category" shape=rect coords="277,88,297,107" href="helpmod-catfunctions-alternate.jsp#archivecat">
<area title="archive category" shape=rect coords="144,219,296,245" href="helpmod-catfunctions-alternate.jsp#archivecat">
<area title="cluster documents" shape=rect coords="301,88,318,107" href="helpmod-catfunctions-alternate.jsp#clustering">
<area title="cluster documents" shape=rect coords="308,234,516,246" href="helpmod-catfunctions-alternate.jsp#clustering">
<area title="insert document" shape=rect coords="327,88,345,107" href="helpmod-catfunctions-alternate.jsp#insert">
<area title="insert document" shape=rect coords="332,219,495,231" href="helpmod-catfunctions-alternate.jsp#insert">
<area title="insert from clipboard" shape=rect coords="350,88,370,107" href="helpmod-catfunctions-alternate.jsp#paste">
<area title="insert from clipboard" shape=rect coords="355,186,486,200" href="helpmod-catfunctions-alternate.jsp#paste">
<area title="create new category" shape=rect coords="372,88,392,107" href="helpmod-catfunctions-alternate.jsp#createcat">
<area title="create new category" shape=rect coords="373,154,510,168" href="helpmod-catfunctions-alternate.jsp#createcat">
<area title="edit category" shape=rect coords="397,88,419,107" href="helpmod-catfunctions-alternate.jsp#editcat">
<area title="edit category" shape=rect coords="396,123,555,149" href="helpmod-catfunctions-alternate.jsp#editcat">
<area title="delete category" shape=rect coords="423,88,430,107" href="helpmod-catfunctions-alternate.jsp#deletecat">
<area title="delete category" shape=rect coords="419,11,521,24" href="helpmod-catfunctions-alternate.jsp#deletecat">
<area title="edit permissions" shape=rect coords="449,88,468,107" href="helpmod-catfunctions-alternate.jsp#permissioncat">
<area title="edit permissions" shape=rect coords="447,28,523,42" href="helpmod-catfunctions-alternate.jsp#permissioncat">
<area title="add notification" shape=rect coords="470,88,489,107" href="helpmod-catfunctions-alternate.jsp#notify">
<area title="add notification" shape=rect coords="470,43,565,55" href="helpmod-catfunctions-alternate.jsp#notify">
<area title="add to VKC favorites" shape=rect coords="491,88,510,107" href="helpmod-catfunctions-alternate.jsp#addfavcat">
<area title="add to VKC favorites" shape=rect coords="491,58,579,85" href="helpmod-catfunctions-alternate.jsp#addfavcat">
</map>

<p>
<img src="pic3-altf-vkc-catfunctions.gif" width="598" height="253" border="1" 
alt="category functions, clickable" usemap="#categoryfunctions">
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>


<!-- PUBLISHED DOCUMENTS TOPICS ****************************************** -->
<!-- entfllt bei alternate Darstellung -->
<!-- <h2>
<a name="docsection"></a>
Document section</h2> -->


<!-- DOCUMENT FOOTER ************************************************** -->

<hr>
<img src="vkc-versioninfo.gif" alt="Version information" border="0">

</body>
</html:html>