<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" 	prefix="html"  %>
<%@ taglib uri="struts-bean" 	prefix="bean"  %>
<%@ taglib uri="struts-logic" 	prefix="logic" %>
<%@ taglib uri="vkc-taglib" 	prefix="vkc"   %>

<bean:define id="form" name="form" scope="request" type="vkc.profile.form.UserDocumentViewSettingsForm"/>
<table width="1%" border="0" cellpadding="0" cellspacing="5" align="center">
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.type.file"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(fileName)">
 	<logic:equal name="form" property="fileName" value="true">
	<html:hidden property="fileName" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileName" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(fileName)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileName"/></td>
    </logic:empty>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.type.fileformat"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(fileFormat)">
	<logic:equal name="form" property="fileFormat" value="true">
	<html:hidden property="fileFormat" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileFormat" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(fileFormat)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileFormat"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <logic:equal name="categorySettings" property="showDocumentClass" value="true">
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.class"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(classType)">
	<logic:equal name="form" property="classType" value="true">
	<html:hidden property="classType" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="classType" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(classType)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="classType"/></td>
    </logic:empty>
    </logic:equal> 

    <logic:equal name="categorySettings" property="showDocumentClass" value="false">
    <td>&nbsp;</td>  
    <td>&nbsp;</td>  
    </logic:equal>


    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.type.filesize"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(fileSize)">
	<logic:equal name="form" property="fileSize" value="true">
	<html:hidden property="fileSize" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileSize" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(fileSize)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileSize"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.version"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(versionNo)">
	<logic:equal name="form" property="versionNo" value="true">
	<html:hidden property="versionNo" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionNo" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(versionNo)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionNo"/></td>
    </logic:empty>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.label"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(versionLabel)">
	<logic:equal name="form" property="versionLabel" value="true">
	<html:hidden property="versionLabel" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionLabel" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(versionLabel)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionLabel"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.versiondescr"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(versionDescr)">
	<logic:equal name="form" property="versionDescr" value="true">
	<html:hidden property="versionDescr" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionDescr" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(versionDescr)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionDescr"/></td>
    </logic:empty>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.expires"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(expires)">
	<logic:equal name="form" property="expires" value="true">
	<html:hidden property="expires" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="expires" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(expires)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="expires"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.published"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(published)">
	<logic:equal name="form" property="published" value="true">
	<html:hidden property="published" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="published" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(published)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="published"/></td>
    </logic:empty>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.author"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(author)">
	<logic:equal name="form" property="author" value="true">
	<html:hidden property="author" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="author" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(author)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="author"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <logic:equal name="categorySettings" property="showCreationDate" value="true">
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.creationdate"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(creationDate)">
	<logic:equal name="form" property="creationDate" value="true">
	<html:hidden property="creationDate" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="creationDate" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(creationDate)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="creationDate"/></td>
    </logic:empty>
    </logic:equal> 

    <logic:equal name="categorySettings" property="showCreationDate" value="false">
    <td>&nbsp;</td>  
    <td>&nbsp;</td>  
    </logic:equal>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.publisher"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(publisher)">
	<logic:equal name="form" property="publisher" value="true">
	<html:hidden property="publisher" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="publisher" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(publisher)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="publisher"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.accesscount"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(accessCount)">
	<logic:equal name="form" property="accessCount" value="true">
	<html:hidden property="accessCount" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="accessCount" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(accessCount)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="accessCount"/></td>
    </logic:empty>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.lastaccessed"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(lastAccessed)">
	<logic:equal name="form" property="lastAccessed" value="true">
	<html:hidden property="lastAccessed" value="true"/>
	</logic:equal>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="lastAccessed" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(lastAccessed)">
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="lastAccessed"/></td>
    </logic:empty>
  </tr>
	
  <logic:equal name="categorySettings" property="showDocumentStatus" value="true">
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.status"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(statusType)">
	<logic:equal name="form" property="statusType" value="true">
	<html:hidden property="statusType" value="true"/>
	</logic:equal>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="statusType" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(statusType)">
    <td colspan="3" valign="top" width="100%"><html:checkbox property="statusType"/></td>
    </logic:empty>
  </tr>
  </logic:equal>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.keywords"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(keywords)">
	<logic:equal name="form" property="keywords" value="true">
	<html:hidden property="keywords" value="true"/>
	</logic:equal>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="keywords" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(keywords)">
    <td colspan="3" valign="top" width="100%"><html:checkbox property="keywords"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.description"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(description)">
	<logic:equal name="form" property="description" value="true">
	<html:hidden property="description" value="true"/>
	</logic:equal>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="description" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(description)">
    <td colspan="3" valign="top" width="100%"><html:checkbox property="description"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.additional_formats"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(additionalFormats)">
	<logic:equal name="form" property="additionalFormats" value="true">
	<html:hidden property="additionalFormats" value="true"/>
	</logic:equal>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="additionalFormats" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(additionalFormats)">
    <td colspan="3" valign="top" width="100%"><html:checkbox property="additionalFormats"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.string.dynaAttributes"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(dynaAttributes)">
	<logic:equal name="form" property="dynaAttributes" value="true">
	<html:hidden property="dynaAttributes" value="true"/>
	</logic:equal>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="dynaAttributes" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(dynaAttributes)">
    <td colspan="3" valign="top" width="100%"><html:checkbox property="dynaAttributes"/></td>
    </logic:empty>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.string.addAttributes"/>:</b></td>
    <logic:notEmpty name="form" property="defaultField(addAttributes)">
	<logic:equal name="form" property="addAttributes" value="true">
	<html:hidden property="addAttributes" value="true"/>
	</logic:equal>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="addAttributes" disabled="true"/></td>
    </logic:notEmpty>
    <logic:empty name="form" property="defaultField(addAttributes)">
    <td colspan="3" valign="top" width="100%"><html:checkbox property="addAttributes"/></td>
    </logic:empty>
  </tr>
</table>