<%@ page language="java" %>

<%@ taglib uri="struts-bean"  prefix="bean"  %>
<%@ taglib uri="struts-html"  prefix="html"  %>
<%@ taglib uri="struts-logic" prefix="logic" %>
<%@ taglib uri="vkc-taglib"   prefix="vkc"   %>

<html:html locale="true">
<vkc:init/>
<head>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
    <title><vkc:message key="vkc"/></title>	
	<vkc:cssinclude />
    <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>
</head>

<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<html:form action="/displayUrl" method="post">
<bean:define id="form" name="displayUrlForm" type="vkc.view.form.DisplayUrlForm"/>
<basefont style="font-family:sans-serif; font-size:10pt;">
<table width="100%" cellspacing="0" cellpadding="0" border="0" bgcolor="#666666">
  <tr>
    <td width="100%" height="30">
	  <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
		  <td width="100%" align="left" bgColor="dddddd">
            <table width="100%" cellspacing="0" cellpadding="3" border="0">
              <tr>
                <td>
                  <logic:equal name="form" property="categoryLink" value="true">
                  <font style="font-family:sans-serif; font-size:12pt;"><b><i><vkc:message key="vkc.string.category.screenIt"/>: <vkc:img page='<%="/templates/" + template + "/gfx/" + form.getCategory().getFolderImage()%>' border='0' alt=''/> <vkc:write name="form" property="category.name"/></i></b></font>
                  </logic:equal>

                  <logic:equal name="form" property="documentLink" value="true">
	              <logic:equal name="form" property="document.note" value="false">
                  <font style="font-family:sans-serif; font-size:12pt;"><b><i><vkc:message key="vkc.string.document.screenIt"/>: <vkc:img page='<%="/templates/" + template + form.getDocument().getDocumentIcon()%>' border='0' alt=''/> <vkc:write name="form" property="document.name"/></i></b></font>
                  </logic:equal>
	              <logic:equal name="form" property="document.note" value="true">
                  <font style="font-family:sans-serif; font-size:12pt;"><b><i><vkc:message key="vkc.string.document.screenIt"/>: <vkc:img page='<%="/templates/" + template + form.getDocument().getDocumentIcon()%>' border='0' alt=''/> <vkc:write name="form" property="document.title"/></i></b></font>
                  </logic:equal>
                  </logic:equal>

                </td>
              </tr>
            </table>
          </td>
        </tr>
		<tr>
		  <td width="100%" bgcolor="f2f2f2">
            <table width="100%" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td align="center">
                  <table width="100%" cellpadding="0" cellspacing="2" border="0">
                    <tr>
                      <td>
	                   <logic:equal name="form" property="categoryLink" value="true">
	                   <tr><td colspan="2"><b><vkc:message key="vkc.string.displayURL.category.link"/></b></td></tr>
	                   <tr><td><b><vkc:message key="vkc.string.displayURL.category.user"/>:</b></td><td><vkc:write name="form" property="categoryUrl"/></td></tr>
	                   <logic:notEmpty name="form" property="categoryGuestUrl">
	                   <tr><td><b><vkc:message key="vkc.string.displayURL.category.guest"/>:</b></td><td><vkc:write name="form" property="categoryGuestUrl"/></td></tr>
	                   </logic:notEmpty>
	                   </logic:equal>
	                                   
	                   <logic:equal name="form" property="documentLink" value="true">
	                   <tr><td colspan="2"><b><vkc:message key="vkc.string.displayURL.document.link"/></b></td></tr>
	                   <tr><td><b><vkc:message key="vkc.string.displayURL.document.user"/>:</b></td><td><vkc:write name="form" property="documentUrl"/></td></tr>
	                   <logic:notEmpty name="form" property="documentGuestUrl">
	                   <tr><td><b><vkc:message key="vkc.string.displayURL.document.guest"/>:</b></td><td><vkc:write name="form" property="documentGuestUrl"/></td></tr>
	                   </logic:notEmpty>
	                   <logic:equal name="form" property="document.note" value="false">
                       <tr><td>&nbsp;</td></tr> 
	                   <tr><td colspan="2"><b><vkc:message key="vkc.string.displayURL.document.directAccess"/></b></td></tr>
	              	   <tr><td><b><vkc:message key="vkc.string.displayURL.document.user"/>:</b></td><td><vkc:write name="form" property="documentOpenUrl"/></td></tr>
	                   <logic:notEmpty name="form" property="documentOpenGuestUrl">
	                   <tr><td><b><vkc:message key="vkc.string.displayURL.document.guest"/>:</b></td><td><vkc:write name="form" property="documentOpenGuestUrl"/></td></tr>
	                   </logic:notEmpty>
	                   </logic:equal>
	                   </logic:equal>
	                    
                      </td>
                    </tr>
                    <tr><td colspan="2"><hr size="1" noshade="noshade" width="100%" /></td></tr>
                    <tr>
                      <td colspan="2" align="center">
                        <vkc:button property="action.close" onclick="javascript:disableAllButtons(this);window.close();"><vkc:message key="button.close"/></vkc:button>
                      </td>
                    </tr>                    
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</html:form>
</body>
</html:html>