<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ page import="org.apache.struts.Globals" %>

<%@ taglib uri="struts-bean"  prefix="bean" %>
<%@ taglib uri="struts-html"  prefix="html" %>
<%@ taglib uri="struts-logic" prefix="logic" %>
<%@ taglib uri="vkc-taglib"   prefix="vkc" %>

<% String ctxPath = request.getContextPath(); %>

<bean:define id="form" name="loginLicenseForm" scope="request" type="vkc.view.form.LoginLicenseForm"/>

<html:html locale="true">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta http-equiv="cache"        content="no-cache">
    <meta http-equiv="expires"      content="0">

	<vkc:cssinclude />

    <title><vkc:message key="vkc.administration.license"/></title>
    <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

    <script type="text/javascript">
    window.name = "MAINVIEW";
    </script>

</head>

<body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

<table width="100%" cellspacing="0" cellpadding="0" border="0">

  <html:form action="/loginLicense" method="post">
  
  <logic:notEmpty name="form" property="linkType">
  <html:hidden property="linkType"/>
  </logic:notEmpty>
  <logic:notEmpty name="form" property="objectId">
  <html:hidden property="objectId"/>
  </logic:notEmpty>
  <logic:notEmpty name="form" property="loginType">
  <html:hidden property="loginType"/>
  </logic:notEmpty>

  <logic:present name="<%=Globals.ERROR_KEY%>">
  <tr><td colspan="2" align="left"><vkc:errors /></td></tr>
  <tr><td colspan="2" height="1"><vkc:img page="/templates/${template.name}/gfx/trans.gif" alt="" width="1" height="5" border="0"/></td></tr>
  </logic:present>

  <tr><td><vkc:img page="/templates/${template.name}/gfx/trans.gif" width="20" height="20" border="0" alt=""/></td></tr>
  <tr>
    <td width="1%" nowrap="nowrap" valign="top"><b><vkc:message key="vkc.login.license.terms" />:</b>&nbsp;</td>
    <td width="99%" class="color_doctitle">
      <logic:equal name="form" property="tinyMCECompatible" value="true">
      <vkc:write name="form" property="licenseText" displayAsHTML="true" renderNewLine="true" />
      </logic:equal>
      <logic:equal name="form" property="tinyMCECompatible" value="false">
      <vkc:write name="form" property="licenseText" stripHTML="true" renderNewLine="true" />
      </logic:equal>
    </td>
  </tr>

  <vkc:hline colspan="5" lineClass="hline" lineHeight="1" topSpace="5" bottomSpace="5"/>
  
  <tr>
    <td align="center" nowrap="nowrap" colspan="2">
      <vkc:button property="action.accept.license" onclick="javascript:disableAllButtonsAndSubmit(this);"><vkc:message key="button.accept" /></vkc:button>
      <vkc:button property="action.decline.license" onclick="javascript:disableAllButtonsAndSubmit(this);"><vkc:message key="button.back" /></vkc:button>
    </td>
  </tr>
  <tr><td><vkc:img page="/templates/${template.name}/gfx/trans.gif" alt="" width="5" height="5" border="0"/></td></tr>
  </html:form>
</table>
</body>
</html:html>
