/*
 * $Id: GarbageCollectionJob.java,v 1.1 2004/11/10 15:02:51 koppy Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * Created on 08.11.2004
 *
 * $Log: GarbageCollectionJob.java,v $
 * Revision 1.1  2004/11/10 15:02:51  koppy
 * Projektweite berarbeitung von Error-Logs, Stacktraces,..
 *
 */


package vkc.server.jobs;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * Job fr das "Garbage Collecting".
 * @author Andreas Koop
 */
public class GarbageCollectionJob implements Job {

    public static final String NAME = "GARBAGE_COLLECTION";
    
    /** 
     * (non-Javadoc)
     * @see org.quartz.Job#execute(org.quartz.JobExecutionContext)
     */
    public void execute(JobExecutionContext ctx) throws JobExecutionException {
      
        //long before = Runtime.getRuntime().freeMemory();
        Runtime.getRuntime().gc();
        //long after = Runtime.getRuntime().freeMemory();
        
        //VKCLogManager.infoLog(this, "MEM before = " + before + ", after = " + after);

    }

}
