update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '125' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-11-16' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

DROP TABLE "AVAILABILITIES";
DROP GENERATOR "AVAILABILITIES_SEQ";

CREATE TABLE "VKC_AVAILS" 
(
  "VKC404ID"	    INTEGER NOT NULL,
  "UPTIME"	        TIMESTAMP NOT NULL,
  "UPTIME_DESCR"    VARCHAR(50), 
  "DOWNTIME"	    TIMESTAMP,
  "DOWNTIME_DESCR"  VARCHAR(50), 
CONSTRAINT "PK_VKC404ID" PRIMARY KEY ("VKC404ID")
);

CREATE GENERATOR "VKC_AVAILS_SEQ";

commit;