insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (110, 'LOGGING', 'sysparam.context.logging', 'WebdavAccessLogFile', 'sysparam.context.logging.webdavaccesslogfile', 'c:/temp/vkc_webdav_access.log', 'File for logging webdav access of VKC', 'sysparam.context.logging.webdavaccesslogfile.descr', 0, 0, 0, 0);

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (111, 'LOGGING', 'sysparam.context.logging', 'MaxWebdavLogFileSize', 'sysparam.context.logging.maxwebdavlogfilesize', '1000000', 'Maximum size of WebDav log files', 'sysparam.context.logging.maxwebdavlogfilesize.descr', 0, 0, 0, 1);

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (112, 'LOGGING', 'sysparam.context.logging', 'EnableWebdavAccessLog', 'sysparam.context.logging.enablewebdavaccesslog', '1', 'Enable webdav access log', 'sysparam.context.logging.enablewebdavaccesslog.descr', 0, 0, 0, 2);

alter table SYSPARAMETERS add SORT_RANK INTEGER;

update SYSPARAMETERS set SORT_RANK = 50, SYSPARAMETERID = 997 where CONTEXT = 'WORKFLOW' and name = 'Enable';
update SYSPARAMETERS set SORT_RANK = 100, SYSPARAMETERID = 998 where CONTEXT = 'WORKFLOW' and name = 'SendMail';
update SYSPARAMETERS set SORT_RANK = 150, SYSPARAMETERID = 999 where CONTEXT = 'WORKFLOW' and name = 'ShowDatatype';

update SYSPARAMETERS set SORT_RANK = 1050, SYSPARAMETERID = 1001 where CONTEXT = 'SYSTEMINFO' and name = 'DBName';
update SYSPARAMETERS set SORT_RANK = 1100, SYSPARAMETERID = 1002 where CONTEXT = 'SYSTEMINFO' and name = 'DBMS';
update SYSPARAMETERS set SORT_RANK = 1150, SYSPARAMETERID = 1003 where CONTEXT = 'SYSTEMINFO' and name = 'DBCopyright';
update SYSPARAMETERS set SORT_RANK = 1200, SYSPARAMETERID = 1004 where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set SORT_RANK = 1250, SYSPARAMETERID = 1005 where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set SORT_RANK = 1300, SYSPARAMETERID = 1006 where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

update SYSPARAMETERS set SORT_RANK = 2050, SYSPARAMETERID = 1007 where CONTEXT = 'ARCHIVE' and name = 'StartBackupHour';
update SYSPARAMETERS set SORT_RANK = 2100, SYSPARAMETERID = 1008 where CONTEXT = 'ARCHIVE' and name = 'EndBackupHour';
update SYSPARAMETERS set SORT_RANK = 2150, SYSPARAMETERID = 1009 where CONTEXT = 'ARCHIVE' and name = 'CleaningPeriod';
update SYSPARAMETERS set SORT_RANK = 2200, SYSPARAMETERID = 1010 where CONTEXT = 'ARCHIVE' and name = 'MinimumAge';

update SYSPARAMETERS set SORT_RANK = 3050, SYSPARAMETERID = 1011 where CONTEXT = 'DOCUMENT' and name = 'EnableMultiIcon';
update SYSPARAMETERS set SORT_RANK = 3100, SYSPARAMETERID = 1012 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentStatusCoverage';
update SYSPARAMETERS set SORT_RANK = 3150, SYSPARAMETERID = 1013 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentClassCoverage';
update SYSPARAMETERS set SORT_RANK = 3200, SYSPARAMETERID = 1014 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentCreationDateCoverage';
update SYSPARAMETERS set SORT_RANK = 3250, SYSPARAMETERID = 1015 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentVersionManagement';
update SYSPARAMETERS set SORT_RANK = 3300, SYSPARAMETERID = 1016 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentTitle';
update SYSPARAMETERS set SORT_RANK = 3350, SYSPARAMETERID = 1017 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentKeyword';
update SYSPARAMETERS set SORT_RANK = 3400, SYSPARAMETERID = 1018 where CONTEXT = 'DOCUMENT' and name = 'EnableDocumentDescription';

update SYSPARAMETERS set SORT_RANK = 4050, SYSPARAMETERID = 1019 where CONTEXT = 'CATEGORYVIEW' and name = 'EnableClusterCategory';
update SYSPARAMETERS set SORT_RANK = 4100, SYSPARAMETERID = 1020 where CONTEXT = 'CATEGORYVIEW' and name = 'EnableCountCatDocs';
update SYSPARAMETERS set SORT_RANK = 4150, SYSPARAMETERID = 1021 where CONTEXT = 'CATEGORYVIEW' and name = 'ListAccessibleCategoriesOnly';
update SYSPARAMETERS set SORT_RANK = 4200, SYSPARAMETERID = 1022 where CONTEXT = 'CATEGORYVIEW' and name = 'MarkForbiddenCategories';
update SYSPARAMETERS set SORT_RANK = 4250, SYSPARAMETERID = 1023 where CONTEXT = 'CATEGORYVIEW' and name = 'DisplayEmptyFoldersWithEmptyIcon';
update SYSPARAMETERS set SORT_RANK = 4300, SYSPARAMETERID = 1024 where CONTEXT = 'CATEGORYVIEW' and name = 'ShowDisplayAscii';

update SYSPARAMETERS set SORT_RANK = 5050, SYSPARAMETERID = 1025 where CONTEXT = 'PROJECTMANAGEMENT' and name = 'EnableProjectManagement';
update SYSPARAMETERS set SORT_RANK = 5100, SYSPARAMETERID = 1026 where CONTEXT = 'PROJECTMANAGEMENT' and name = 'ProjectRootCategoryId';
update SYSPARAMETERS set SORT_RANK = 5150, SYSPARAMETERID = 1027 where CONTEXT = 'PROJECTMANAGEMENT' and name = 'TemplatesRootCategoryId';

update SYSPARAMETERS set SORT_RANK = 6050, SYSPARAMETERID = 1028 where CONTEXT = 'FUNCTIONALVIEW' and name = 'FunctionalViewRootCategoryId';

update SYSPARAMETERS set SORT_RANK = 7050, SYSPARAMETERID = 1029 where CONTEXT = 'MAIL' and name = 'EnableMail';
update SYSPARAMETERS set SORT_RANK = 7100, SYSPARAMETERID = 1030 where CONTEXT = 'MAIL' and name = 'NotificationCheckPeriod';
update SYSPARAMETERS set SORT_RANK = 7150, SYSPARAMETERID = 1031 where CONTEXT = 'MAIL' and name = 'DeleteDocumentPeriod';
update SYSPARAMETERS set SORT_RANK = 7200, SYSPARAMETERID = 1032 where CONTEXT = 'MAIL' and name = 'CheckExpirationTime';
update SYSPARAMETERS set SORT_RANK = 7250, SYSPARAMETERID = 1033 where CONTEXT = 'MAIL' and name = 'RootURL';
update SYSPARAMETERS set SORT_RANK = 7300, SYSPARAMETERID = 1034 where CONTEXT = 'MAIL' and name = 'AdminEmail';
update SYSPARAMETERS set SORT_RANK = 7350, SYSPARAMETERID = 1035 where CONTEXT = 'MAIL' and name = 'MailServer';
update SYSPARAMETERS set SORT_RANK = 7400, SYSPARAMETERID = 1036 where CONTEXT = 'MAIL' and name = 'MailUsername';
update SYSPARAMETERS set SORT_RANK = 7450, SYSPARAMETERID = 1037 where CONTEXT = 'MAIL' and name = 'MailPassword';
update SYSPARAMETERS set SORT_RANK = 7500, SYSPARAMETERID = 1038 where CONTEXT = 'MAIL' and name = 'MailPort';
update SYSPARAMETERS set SORT_RANK = 7550, SYSPARAMETERID = 1039 where CONTEXT = 'MAIL' and name = 'MailSsl';
update SYSPARAMETERS set SORT_RANK = 7600, SYSPARAMETERID = 1040 where CONTEXT = 'MAIL' and name = 'MailUntrustedCertificate';

update SYSPARAMETERS set SORT_RANK = 8050, SYSPARAMETERID = 1041 where CONTEXT = 'LOGGING' and name = 'EnableLogging';
update SYSPARAMETERS set SORT_RANK = 8100, SYSPARAMETERID = 1042 where CONTEXT = 'LOGGING' and name = 'MaxLogFileCount';
update SYSPARAMETERS set SORT_RANK = 8150, SYSPARAMETERID = 1043 where CONTEXT = 'LOGGING' and name = 'MaxLogFileSize';
update SYSPARAMETERS set SORT_RANK = 8200, SYSPARAMETERID = 1044 where CONTEXT = 'LOGGING' and name = 'LoggingLevel';
update SYSPARAMETERS set SORT_RANK = 8250, SYSPARAMETERID = 1045 where CONTEXT = 'LOGGING' and name = 'InfoLogFile';
update SYSPARAMETERS set SORT_RANK = 8300, SYSPARAMETERID = 1046 where CONTEXT = 'LOGGING' and name = 'ErrorLogFile';
update SYSPARAMETERS set SORT_RANK = 8350, SYSPARAMETERID = 1047 where CONTEXT = 'LOGGING' and name = 'TraceLogFile';
update SYSPARAMETERS set SORT_RANK = 8400, SYSPARAMETERID = 1048 where CONTEXT = 'LOGGING' and name = 'enableAccessLog';
update SYSPARAMETERS set SORT_RANK = 8450, SYSPARAMETERID = 1049 where CONTEXT = 'LOGGING' and name = 'anonymizeAccessLog';
update SYSPARAMETERS set SORT_RANK = 8500, SYSPARAMETERID = 1050 where CONTEXT = 'LOGGING' and name = 'AccessLogFile';
update SYSPARAMETERS set SORT_RANK = 8550, SYSPARAMETERID = 1051 where CONTEXT = 'LOGGING' and name = 'EnableWebdavAccessLog';
update SYSPARAMETERS set SORT_RANK = 8600, SYSPARAMETERID = 1052 where CONTEXT = 'LOGGING' and name = 'MaxWebdavLogFileSize';
update SYSPARAMETERS set SORT_RANK = 8650, SYSPARAMETERID = 1053 where CONTEXT = 'LOGGING' and name = 'WebdavAccessLogFile';

update SYSPARAMETERS set SORT_RANK = 9050, SYSPARAMETERID = 1054 where CONTEXT = 'SYSTEMPATHS' and name = 'DatastoreDir';
update SYSPARAMETERS set SORT_RANK = 9100, SYSPARAMETERID = 1055 where CONTEXT = 'SYSTEMPATHS' and name = 'SearchIndexDir';
update SYSPARAMETERS set SORT_RANK = 9150, SYSPARAMETERID = 1056 where CONTEXT = 'SYSTEMPATHS' and name = 'ClassifyIndexDir';
update SYSPARAMETERS set SORT_RANK = 9200, SYSPARAMETERID = 1057 where CONTEXT = 'SYSTEMPATHS' and name = 'ConverterDir';
update SYSPARAMETERS set SORT_RANK = 9250, SYSPARAMETERID = 1058 where CONTEXT = 'SYSTEMPATHS' and name = 'LanguageDir';

update SYSPARAMETERS set SORT_RANK = 10050, SYSPARAMETERID = 1059 where CONTEXT = 'LOGIN' and name = 'MaxAllowedUsers';
update SYSPARAMETERS set SORT_RANK = 10100, SYSPARAMETERID = 1060 where CONTEXT = 'LOGIN' and name = 'DefaultLoginPage';
update SYSPARAMETERS set SORT_RANK = 10150, SYSPARAMETERID = 1061 where CONTEXT = 'LOGIN' and name = 'StandaloneModus';
update SYSPARAMETERS set SORT_RANK = 10200, SYSPARAMETERID = 1062 where CONTEXT = 'LOGIN' and name = 'EnableUserRegistration';
update SYSPARAMETERS set SORT_RANK = 10250, SYSPARAMETERID = 1063 where CONTEXT = 'LOGIN' and name = 'EnableGuestLogin';
update SYSPARAMETERS set SORT_RANK = 10300, SYSPARAMETERID = 1064 where CONTEXT = 'LOGIN' and name = 'UserLockEnabled';
update SYSPARAMETERS set SORT_RANK = 10350, SYSPARAMETERID = 1065 where CONTEXT = 'LOGIN' and name = 'MaxPwdMismatchCount';
update SYSPARAMETERS set SORT_RANK = 10400, SYSPARAMETERID = 1066 where CONTEXT = 'LOGIN' and name = 'UserLockTime';
update SYSPARAMETERS set SORT_RANK = 10450, SYSPARAMETERID = 1067 where CONTEXT = 'LOGIN' and name = 'UserLockNotification';

update SYSPARAMETERS set SORT_RANK = 11050, SYSPARAMETERID = 1068 where CONTEXT = 'ARCHIVECATEGORY' and name = 'EnableArchiveCategory';
update SYSPARAMETERS set SORT_RANK = 11100, SYSPARAMETERID = 1069 where CONTEXT = 'ARCHIVECATEGORY' and name = 'ArchiveCategoryPath';

update SYSPARAMETERS set SORT_RANK = 12050, SYSPARAMETERID = 1070 where CONTEXT = 'QUOTA' and name = 'EnableQuotaChecking';
update SYSPARAMETERS set SORT_RANK = 12100, SYSPARAMETERID = 1071 where CONTEXT = 'QUOTA' and name = 'ConsiderAdditionalDocFormats';

update SYSPARAMETERS set SORT_RANK = 13050, SYSPARAMETERID = 1072 where CONTEXT = 'NEWS' and name = 'EnableNews';
update SYSPARAMETERS set SORT_RANK = 13100, SYSPARAMETERID = 1073 where CONTEXT = 'NEWS' and name = 'MaxCountNews';
update SYSPARAMETERS set SORT_RANK = 13150, SYSPARAMETERID = 1074 where CONTEXT = 'NEWS' and name = 'ConsiderValidNewsOnly';

update SYSPARAMETERS set SORT_RANK = 14050, SYSPARAMETERID = 1075 where CONTEXT = 'TRASH' and name = 'EnableTrash';
update SYSPARAMETERS set SORT_RANK = 14100, SYSPARAMETERID = 1076 where CONTEXT = 'TRASH' and name = 'TrashCategoryId';

update SYSPARAMETERS set SORT_RANK = 15050, SYSPARAMETERID = 1077 where CONTEXT = 'STATISTICS' and name = 'EnableStatistics';

update SYSPARAMETERS set SORT_RANK = 16050, SYSPARAMETERID = 1078 where CONTEXT = 'VKCSTREAMS' and name = 'EnableTDF';
update SYSPARAMETERS set SORT_RANK = 16100, SYSPARAMETERID = 1079 where CONTEXT = 'VKCSTREAMS' and name = 'EnableHTML';
update SYSPARAMETERS set SORT_RANK = 16150, SYSPARAMETERID = 1080 where CONTEXT = 'VKCSTREAMS' and name = 'EnablePDF';

update SYSPARAMETERS set SORT_RANK = 17050, SYSPARAMETERID = 1081 where CONTEXT = 'INDEX' and name = 'OptimizationPeriod';
update SYSPARAMETERS set SORT_RANK = 17100, SYSPARAMETERID = 1082 where CONTEXT = 'INDEX' and name = 'ParameterOptimization';
update SYSPARAMETERS set SORT_RANK = 17150, SYSPARAMETERID = 1083 where CONTEXT = 'INDEX' and name = 'ParameterOptimizationTime';
update SYSPARAMETERS set SORT_RANK = 17200, SYSPARAMETERID = 1084 where CONTEXT = 'INDEX' and name = 'ParameterOptimizationPeriod';
update SYSPARAMETERS set SORT_RANK = 17250, SYSPARAMETERID = 1085 where CONTEXT = 'INDEX' and name = 'FullCrossValidation';
update SYSPARAMETERS set SORT_RANK = 17300, SYSPARAMETERID = 1086 where CONTEXT = 'INDEX' and name = 'NumberOfNeighbors';
update SYSPARAMETERS set SORT_RANK = 17350, SYSPARAMETERID = 1087 where CONTEXT = 'INDEX' and name = 'RelFeatureSumTreshold';
update SYSPARAMETERS set SORT_RANK = 17400, SYSPARAMETERID = 1088 where CONTEXT = 'INDEX' and name = 'MeanAccuracy';
update SYSPARAMETERS set SORT_RANK = 17450, SYSPARAMETERID = 1089 where CONTEXT = 'INDEX' and name = 'MeanScore';
update SYSPARAMETERS set SORT_RANK = 17500, SYSPARAMETERID = 1090 where CONTEXT = 'INDEX' and name = 'LastParameterOptimization';

update SYSPARAMETERS set SORT_RANK = 18050, SYSPARAMETERID = 1091 where CONTEXT = 'LICENSE' and name = 'EnableLicensemanagement';

update SYSPARAMETERS set SORT_RANK = 19050, SYSPARAMETERID = 1092 where CONTEXT = 'LDAP' and name = 'EnableLdapSupport';
update SYSPARAMETERS set SORT_RANK = 19100, SYSPARAMETERID = 1093 where CONTEXT = 'LDAP' and name = 'AddUser';
update SYSPARAMETERS set SORT_RANK = 19150, SYSPARAMETERID = 1094 where CONTEXT = 'LDAP' and name = 'ChangePassword';

update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '190' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2007-08-01' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

commit;