/*
    migration script to update a db, which was setup with a version of prior to 1.29
*/

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, NAME, VALUESTRING, DESCRIPTION, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (38, 'CONVERTER', 'ConverterServer', 'localhost:3333', 'Host and port the converter is running on', 0, 0, 0, 0);

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, NAME, VALUESTRING, DESCRIPTION, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (39, 'ARCHIVE', 'CleaningPeriod', 7, 'Cleaning period of the data archive in days', 0, 0, 0, 1);

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, NAME, VALUESTRING, DESCRIPTION, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (40, 'ARCHIVE', 'MinimumAge', 30, 'Minimum Age of files can be deleted in minutes', 0, 0, 0, 1);
     
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, NAME, VALUESTRING, DESCRIPTION, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (41, 'ARCHIVE', 'StartBackupHour', 0, 'Scheduling hour for backup (start)', 0, 0, 0, 1);
     
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, NAME, VALUESTRING, DESCRIPTION, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (42, 'ARCHIVE', 'EndBackupHour', 3, 'Scheduling hour for backup (end)', 0, 0, 0, 1);

update SYSPARAMETERS set VALUESTRING = '30' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-02-21' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';
commit;