update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '95' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-05-28' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

/*==============================================================*/
/* Table: AVAILABILITIES                                        */
/*==============================================================*/
create table AVAILABILITIES (
VKC404ID             INTEGER                        not null,
ISUP                 INTEGER                        not null,
ENTRYTIME            TIMESTAMP                      not null,
REASON               VARCHAR(100),
INITIATORID          INTEGER,
DESCRIPTION          VARCHAR(100),
constraint PK_VKC404ID primary key (VKC404ID)
);

create generator AVAILABILITIES_SEQ;
set generator AVAILABILITIES_SEQ to 0;

commit;
