<%@ page language="java" %>
<%@ taglib uri="struts-html"     prefix="html"  %>
<%@ taglib uri="struts-bean"     prefix="bean"  %>
<%@ taglib uri="struts-logic"    prefix="logic" %>
<%@ taglib uri="vkc-taglib"      prefix="vkc"   %>
<%@ page import="vkc.db.entities.VKCCategory" %>
<%@ page import="org.apache.struts.Globals" %>
<%@ page import="vkc.administration.form.SystemMaintenanceForm" %>

<vkc:init/>

<html:form action="/lostFolders" method="post">
<bean:define id="form" name="lostFoldersForm" type="vkc.administration.form.LostFoldersForm"/>
<bean:define id="lostfolders" name="form" property="lostFolders"/>  

<html:hidden property="selectedContext"/>

<table align='left' width='100%' cellpadding='2' cellspacing='0' border='0'>
  <logic:notEmpty name="lostfolders">
  <tr><td class="error" ><b><vkc:message key="vkc.administration.systemmaintenance.lostfolders" /></b></tr>  
  <tr><td ><vkc:img page="/templates/${template.name}/gfx/trans.gif" alt="" height="10" /></td></tr>
  	
  <logic:iterate id="lostfolder" name="lostfolders" type="vkc.db.entities.VKCCategory">

  <logic:equal name="lostfolder" property="inTrash" value="false">     
  <tr class="color_doctitle">       
    <td valign="bottom"><vkc:img page='<%="/templates/" + template + "/gfx/" + lostfolder.getFolderImage()%>' altKey='vkc.category' border='0'/><vkc:img page="/templates/${template.name}/gfx/trans.gif" width="10" alt="" /><vkc:link page="/showCategory.do" paramId="categoryId" paramName="lostfolder" paramProperty="categoryId"><vkc:write name="lostfolder" property="absPathDescrString"/></vkc:link></td>
  </tr>

  <%-- Beschreibung  --%>
  <tr>          
    <td>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tr>         
          <td width="50%" valign="top">
            <table cellspacing="0" cellpadding="0" border="0">
              <tr>
                <td valign="top"><b><vkc:message key="vkc.administration.systemmaintenance.lostfolders.folder.description"/>:</b></td>
                <td valign="top">
                  <logic:equal name="form" property="tinyMCECompatible" value="true">
                  <vkc:write name="lostfolder" property="description" displayAsHTML="true" renderNewLine="true"/>
                  </logic:equal>
                  <logic:equal name="form" property="tinyMCECompatible" value="false">
                  <vkc:write name="lostfolder" property="description" stripHTML="true" renderNewLine="true"/>
                  </logic:equal>              
                </td> 
              </tr>
            </table>
          </td>
          <td width="50%" valign="top">
            <table cellspacing="0" cellpadding="0" border="0">
              <tr>
                <td valign="top"><b><vkc:message key="vkc.administration.systemmaintenance.lostfolders.folder.keyword"/>:</b></td>
                <td valign="top"><vkc:write name="lostfolder" property="keywordsAsString"/></td>  
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>                    
  </tr>

  <tr><td><vkc:img page="/templates/${template.name}/gfx/trans.gif" height="10" alt="" /></td></tr>
  </logic:equal>
  
  </logic:iterate>
  
  </logic:notEmpty>
  
  <logic:empty name="lostfolders">
  <tr><td><b><vkc:message key="vkc.administration.systemmaintenance.lostfolders.no"/></b></td></tr>
  </logic:empty>
</table>
</html:form>