<%@ page language="java" errorPage="/common/error.jsp" %>
<%@ page buffer="100kb" %>

<%@ taglib uri="struts-bean"  prefix="bean"  %>
<%@ taglib uri="struts-html"  prefix="html"  %>
<%@ taglib uri="struts-logic" prefix="logic" %>
<%@ taglib uri="vkc-taglib"   prefix="vkc"   %>

<vkc:checkLogin />
<vkc:init/>
<html:html locale="true">
<head>
    
    <title><vkc:message key="vkc" /></title>

	<vkc:cssinclude />
    
    <meta http-equiv="content-type"  content="text/html; charset=iso-8859-1" />
    <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

    <script type="text/javascript">

		window.name = "USERINFO_MAINVIEW";
	
	    function openGroupInfoWindow( id ) {
	        var w = 800;
	        var h = 600;
	        var leftPosition = screen.width/2  - w/2;
	        var topPosition  = screen.height/2 - h/2;
	        var settings ='height=' + h + ', width=' + w + ', top=' + topPosition + ', left=' + leftPosition;
	        settings += ',scrollbars=yes,resizable';
	        settings += ',toolbar=no, location=no, directories=no, status=true, menubar=no';
	        var win = window.open( '<vkc:rewrite page="/displayGroupInfo.do"/>?groupId=' + id, 'GROUPINFO_MAINVIEW', settings );
	        win.focus();                              
	    }
	
    </script>

</head>
<body marginwidth=0 marginheight=0 topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<html:form action="displayUserInfo" method="post">
<bean:define id="form" name="displayUserInfoForm" type="vkc.view.form.DisplayUserInfoForm"/>

<table width="100%" cellspacing="0" cellpadding="0" border="0" class="color_tab">
  <tr>
    <td valign="top" height="66" background="<vkc:rewrite page='/templates/${template.name}/gfx/header-bg.gif'/>">
	  <table width="100%" cellspacing="0" cellpadding="0" border="0">
	  	<tr>
          <td><vkc:img page="/templates/${template.name}/gfx/vkc-logo-blau.gif" alt="VKC" hspace="10" vspace="5" height="66" width="66"/></td>
          <td align="left" nowrap="nowrap" width="100%"><span class="whiteHeading"><vkc:message key="vkc.userinfo"/></span></td>
        </tr>
      </table>
    </td>
  </tr>
  <vkc:hline colspan="1" lineColor="#606060" lineHeight="1" topSpace="0" bottomSpace="0"/>
</table>

<logic:notEmpty name="form" property="user">
<table align='center' width='100%' cellspacing='0' cellpadding='0' border='0'>
  <tr>
    <td colspan="2">
    <table width=100% border=0 cellpadding=3 cellspacing=1>
	  <tr>
	    <td align=left><b><vkc:message key="vkc.userinfo.username" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.user" /></td>
	  </tr>
	  <tr>
	    <td align=left><b><vkc:message key="vkc.userinfo.usertitle" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.title"  /></td>
	  </tr>
	  <tr>
	    <td align=left><b><vkc:message key="vkc.userinfo.lastname" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.lastname" /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.firstname" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.firstname" /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.email" />:</b></td>
		<logic:equal name="form" property="user.showEmail" value="true" >
		<td align=left width="100%"><a href="mailto:<vkc:write name="form" property="user.email" />" style="text-decoration:underline"><vkc:write name="form" property="user.email" /></span></a></td>
		</logic:equal>
		<logic:equal name="form" property="user.showEmail" value="false" >
		<td align=left width="100%"><vkc:message key="vkc.userinfo.notShowEmail" /></td>
		</logic:equal>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.company" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.company" /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.department" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.department"  /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.zip"/>/<vkc:message key="vkc.userinfo.city" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.zip" /> <vkc:write name="form" property="user.city" /></td>
	  </tr>

	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.street" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.street"  /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.phone" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.phone"  /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.fax" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.fax"  /></td>
	  </tr>
	  <tr>
		<td align=left><b><vkc:message key="vkc.userinfo.mobile" />:</b></td>
		<td align=left width="100%"><vkc:write name="form" property="user.mobile" /></td>
	  </tr>

	  <tr>
		<td align=left valign='top'><b><vkc:message key="vkc.userinfo.groups" />:</b></td>
		<td align=left width="100%" valign="top">
		  <logic:iterate id="aGroup" name="form" property="user.groupsSortedByName">
          <bean:define id="groupId" name="aGroup" property="groupId" type="java.lang.Integer"/>
          <vkc:link href='<%="javascript:openGroupInfoWindow(" + groupId.intValue() + ");"%>'>
          <span style="text-decoration:underline">
		  <vkc:write name="aGroup" property="name"/>
		  </span>
          </vkc:link><br>
          </logic:iterate>
		</td>
	  </tr>
    </table>
    </td>
  </tr>

  <vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="5" bottomSpace="0"/>

  <tr>
    <td colspan="2">    
    <table width=100% border=0 cellpadding=3 cellspacing=1>
      <tr>
        <td width="50%"  align=left valign=bottom><b><vkc:message key="vkc.userinfo.userCreatedAt" /></b>&nbsp;<vkc:write name="form" property="user.created" formatKey="date.medium.format"/></td>
      </tr>
      <tr>
        <logic:notEmpty name="form" property="creator">
        <td width="50%"  align=left valign=bottom><b><vkc:message key="vkc.userinfo.userCreatedFrom" /></b>&nbsp;<vkc:write name="form" property="creator.username"/></td>
        </logic:notEmpty>
        <logic:empty name="form" property="creator">
        <td width="50%"  align=left valign=bottom><b><vkc:message key="vkc.userinfo.userCreatedFrom" /></b>&nbsp;-</td>
        </logic:empty>
      </tr>
    </table>  
    </td>    
  </tr>

  <vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="0" bottomSpace="0"/>

  <tr>
    <td colspan="2">    
    <table width=100% border=0 cellpadding=3 cellspacing=1>
      <tr>
        <td width="50%"  align=left valign=bottom><b><vkc:message key="vkc.userinfo.userLastChangedAt" /></b>&nbsp;<vkc:write name="form" property="user.lastChanged" formatKey="date.medium.format"/></td>
      </tr>
      <tr>
        <logic:notEmpty name="form" property="lastEditor">
        <td width="50%"  align=left valign=bottom><b><vkc:message key="vkc.userinfo.userLastChangedFrom" /></b>&nbsp;<vkc:write name="form" property="lastEditor.username" /></td>
        </logic:notEmpty>
        <logic:empty name="form" property="lastEditor">
        <td width="50%"  align=left valign=bottom><b><vkc:message key="vkc.userinfo.userLastChangedFrom" /></b>&nbsp;-</td>
        </logic:empty>
      </tr>
    </table>
    </td>
  </tr>

  <vkc:hline colspan="2" lineClass="hline" lineHeight="1" topSpace="0" bottomSpace="5"/>

  <tr>
	<td colspan="2" align=center><vkc:button property="action.closeWindow" onclick="javascript:disableAllButtons(this);window.close();"><vkc:message key="vkc.userinfo.button.closeWindow"/></vkc:button></td>
  </tr>
</table>
</logic:notEmpty>

<logic:empty name="form" property="user">
<table align='center' width='100%' cellspacing='0' cellpadding='0' border='0'>
  <tr><td colspan="2" align=center>&nbsp;</td></tr>
  <tr><td colspan="2" align="center" width="100%"><b><vkc:message key="vkc.userinfo.error.retrieve" arg0="<%=String.valueOf( form.getUserId() )%>" /></b></td></tr>
  <tr><td colspan="2" align=center>&nbsp;</td></tr>
  <tr><td colspan="2" align="center" width="100%"><vkc:button property="action.closeWindow" onclick="javascript:disableAllButtons(this);window.close();"><vkc:message key="vkc.userinfo.button.closeWindow"/></vkc:button></td></tr>
</table>
</logic:empty>
   
</html:form>
</body>
</html:html>