<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" prefix="html"%>
<%@ taglib uri="struts-bean" prefix="bean"%>
<%@ taglib uri="vkc-taglib"  prefix="vkc" %>

<html:html locale="true">
<head>
  <vkc:init/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="expires" content="0">
  <meta name="description" content="Hilfe zum VKC: HTML-Editor">

  <vkc:cssinclude />

  <title><vkc:message key="vkc" /></title>
  <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

  <script type="text/javascript">

  window.name = "MAINVIEW";

  function init() {
  }
  
  function confirmation(){
    return confirm('<vkc:message javascript="true" filter="false" key="vkc.string.confirmation"/>');
  }
  
  </script>
</head>

<!-- DEUTSCHE VERSION ************************************************** -->

<!-- Version 21-Aug-2006 VKC 3.7/4.0 -->

<body onload="init();">
<a name="top"></a>

<h2>
<a name="htmledit"></a>
VKC-Hilfe: HTML-Editor</h2>

<p>
Im VKC gibt es verschiedene Formulare, in denen als Metadaten
Beschreibungen erstellt oder &uuml;berarbeitet werden k&ouml;nnen,
z.&nbsp;B. die Beschreibung einer neuen Kategorie beim Anlegen.
VKC unterst&uuml;tzt dabei sowohl die einfache Texteingabe, als auch
die Nutzung von HTML-Konstrukten zur Formatierung. 
</p>
<img src="pic3-htmledit-textinput.gif" border="1" alt="einfache Texteingabe">
<p>
Standard ist die einfache Texteingabe. 
Der Text wird mit Leerzeichen und Zeilenwechseln &uuml;bernommen wie
vom Benutzer eingegeben.
</p>
<p>
Erweiterte Formatierungsfunktionen k&ouml;nnen per Klick auf das Plus-Symbol
<img src="pic3-button-plus-big.gif" alt="plus">
oberhalb des Beschreibungsfelds aktiviert werden.
Es wird dazu ein einfacher WYSIWYG-Editor eingeblendet,
der auf dem Open Source TinyMCE von MOXIECODE systems basiert.
(Per Klick auf das nun angezeigte Minus-Symbol
<img src="pic3-button-minus-big.gif" alt="minus">
kann der Editor wieder ausgeblendet werden.)
</p>
<img src="pic3-htmledit-htmlinput.gif" border="1" alt="HTML-Editor">
<p>
Beim Bewegen des Mauszeigers &uuml;ber die "Toolbar" werden
Kurztitel zu den einzelnen Funktionssymbolen eingeblendet, die die
intuitive Benutzung erleichtern.
</p>
<p>
Unterst&uuml;tzt werden Funktionen zur Textgestaltung, Farbgebung,
Formatierung von Listen und Tabellen und zum Einf&uuml;gen von Sonderzeichen
und "Emoticons".
Hyperlinks k&ouml;nnen ebenfalls eingef&uuml;gt werden. Dabei muss
darauf geachtet werden, dass die URLs aus dem VKC heraus g&uuml;ltig sind
(absolute Web-URLs).
Der Editor bietet au&szlig;erdem ein Kontextmen&uuml;, dessen Nutzbarkeit
browser-abh&auml;ngig sein kann.
Es gibt auch eine "Undo"-Operation. 
Bei Bedarf kann direkt der erzeugte HTML-Sourcecode in einem separaten
Fenster bearbeitet werden.
</p>
<p>
Das folgende Beispiel zeigt das Ergebnis einiger einfacher Gestaltungsfunktionen
bei Ansicht in der Kategoriesicht.
</p>
<img src="pic3-htmledit-catview.gif" border="1" alt="Kategoriesicht">

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<!-- DOCUMENT FOOTER ************************************************** -->

<hr>
<p>
<b>Hinweis:</b>
<br>
Bitte benutzen Sie f&uuml;r die R&uuml;ckkehr in die aufrufende Hilfeseite
die <b>Back</b>-Funktion Ihres Browsers.
</p>

<img src="vkc-versioninfo.gif" alt="Versionsinformation" border="0">

</body>
</html:html>