<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" prefix="html"%>
<%@ taglib uri="struts-bean" prefix="bean"%>
<%@ taglib uri="vkc-taglib"  prefix="vkc" %>

<html:html locale="true">
<head>
  <vkc:init/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="expires" content="0">
  <meta name="description" content="VKC Help: HTML Editor">

  <vkc:cssinclude />

  <title><vkc:message key="vkc" /></title>
  <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

  <script type="text/javascript">

  window.name = "MAINVIEW";

  function init() {
  }
  
  function confirmation(){
    return confirm('<vkc:message javascript="true" filter="false" key="vkc.string.confirmation"/>');
  }

  </script>
</head>

<!-- ENGLISH VERSION ************************************************** -->

<!-- Version 21-Aug-2006 VKC 3.7/4.0 -->

<body onload="init();">
<a name="top"></a>

<h2>
<a name="htmledit"></a>
VKC Help: HTML Editor</h2>

<p>
There are a couple of different forms in VKC for entering descriptions
as meta data, for example you may file a description while creating a
new category.
VKC supports simple text entry as well as HTML formatted text.
</p>
<img src="pic3-htmledit-textinput.gif" border="1" alt="simple text entry">
<p>
The default option for text entry is simple text.
Text, white space, and line breaks are saved as entered by the user.
</p>
<p>
Advanced formatting can be used by clicking on the "plus" symbol
<img src="pic3-button-plus-big.gif" alt="plus">
right above the description field.
A basic WYSIWYG editor will be provided which is
based on Open Source TinyMCE of MOXIECODE systems.
(You may remove the editor toolbar by clicking on the "minus" symbol
<img src="pic3-button-minus-big.gif" alt="minus">.)
</p>
<img src="pic3-htmledit-htmlinput.gif" border="1" alt="HTML Editor">
<p>
Descriptive tool tips will be displayed when moving the mouse pointer
over the editor's toolbar.
</p>
<p>
The editor includes functions for text formatting, coloring, formatting
of lists and tables, inserting special characters and "emoticons".
You may also insert hyperlinks. Please be careful to insert absolute
Web URLs only.
The editor supports a context menu that might depend on your specific
browser configuration.
An "undo" operation is available.
If necessary, you may examine and modify the generated HTML source code
directly in a separate window.
</p>
<p>
The following example shows a category description with some simple text layout
as achieved by means of the HTML editor.
</p>
<img src="pic3-htmledit-catview.gif" border="1" alt="category view">


<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="to top of page" border="0"></a>
</div>

<!-- DOCUMENT FOOTER ************************************************** -->

<hr>
<p>
<b>Attention:</b>
<br>
Please use the <b>back</b> button of your browser for returning
to the previous help page. 
</p>

<img src="vkc-versioninfo.gif" alt="Version information" border="0">

</body>
</html:html>