<%@ page language="java" %>
<%@ taglib uri="struts-html"     prefix="html"  %>
<%@ taglib uri="struts-bean"     prefix="bean"  %>
<%@ taglib uri="struts-logic"    prefix="logic" %>
<%@ taglib uri="vkc-taglib"      prefix="vkc"   %>
<%@ page import="org.apache.struts.Globals" %>
<%@ page import="vkc.administration.form.SystemMaintenanceForm" %>

<vkc:init/>

<html:form action="/converterMaintenance" method="post">
<bean:define id="form" name="converterMaintenanceForm" type="vkc.administration.form.ConverterMaintenanceForm"/>

<html:hidden property="selectedContext"/>

<table align='left' width='100%' cellpadding='2' cellspacing='0' border='0'>


  <tr>
    <td colspan="2" align="left" nowrap="nowrap">
      <vkc:message key="vkc.administration.systemmaintenance.converter.introduction"/>
    </td>
  </tr>
  
  <tr>
     <td align="left" nowrap="nowrap" colspan="2">&nbsp;</td>
  </tr>
  <tr>
     <td align="left" nowrap="nowrap" width="1%"><b><vkc:message key="vkc.administration.systemmaintenance.converter.openConvsCount"/>:</b></td>
     <td align="left" nowrap="nowrap" width="99%"><vkc:write name="form" property="openConversionsCount"/></td>
  </tr>
  <tr>
     <td align="left" nowrap="nowrap" colspan="2">&nbsp;</td>
  </tr>
  <logic:empty name="form" property="converterServers">
 	<tr>
     	<td align="left" nowrap="nowrap" colspan="2">
			<span class="error"><b><vkc:message key="vkc.administration.systemmaintenance.converter.noConverterServerRegistered"/></b></span>
		</td>
  	</tr>
  </logic:empty>
  <logic:notEmpty name="form" property="converterServers">
  <logic:iterate id="converter" name="form" property="converterServers" type="vkc.db.common.ConverterInfo">
  
 	<tr class="color_doctitle">
     	<td align="left" nowrap="nowrap" colspan="2">
			<vkc:write name="converter" property="hostname"/>:<vkc:write name="converter" property="port"/>
		</td>
  	</tr>
  	<tr>	
  		<td colspan="2">
  		<table border="0" cellpadding="0" cellspacing="5">
	  		<tr>
		  		<td align="left" nowrap="nowrap" width="25%"><b>Status:</b></td>
		  		<td align="left" nowrap="nowrap" width="25%"><vkc:write name="converter" property="status"/></td>
		  		<td align="left" nowrap="nowrap" width="25%"><b><vkc:message key="vkc.administration.systemmaintenance.converter.jobsInExec"/>:</b></td>
		  		<td align="left" nowrap="nowrap" width="25%"><vkc:write name="converter" property="jobsInExecution"/></td>
		  	</tr>
		  	<tr>
		  		<td align="left" nowrap="nowrap" width="25%"><b><vkc:message key="vkc.administration.systemmaintenance.converter.maxReiterations"/>:</b></td>
		  		<td align="left" nowrap="nowrap" width="25%"><vkc:write name="converter" property="maxReiterations"/></td>
		  		<td align="left" nowrap="nowrap" width="25%"><b><vkc:message key="vkc.administration.systemmaintenance.converter.loadfactor"/>:</b></td>
		  		<td align="left" nowrap="nowrap" width="25%"><vkc:write name="converter" property="loadFactor"/></td>
		  	</tr>
		  	<tr>
		  		<td align="left" nowrap="nowrap" width="25%"><b><vkc:message key="vkc.administration.systemmaintenance.converter.doctypes"/>:</b></td>
		  		<td align="left" nowrap="nowrap" width="25%" colspan="3"><vkc:write name="converter" property="documentTypes"/></td>
		  	</tr>
  		</table>
  		</td>
  	</tr>
		
  </logic:iterate>
  </logic:notEmpty>
</table>
</html:form>