<%@ page buffer="100kb" %>

<%@ taglib uri="struts-html"     prefix="html"     %>
<%@ taglib uri="struts-bean"     prefix="bean"     %>
<%@ taglib uri="struts-logic"    prefix="logic"    %>
<%@ taglib uri="vkc-taglib"      prefix="vkc"      %>

<vkc:checkLogin />

<vkc:init/>

<html:html locale="true">
<head>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
	<title><vkc:message key="vkc"/></title>
    <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>
	
    <vkc:cssinclude />
    <script type="text/javascript">
    window.name = "MAINVIEW";
    </script>
</head>
<body marginwidth="5" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
  <html:form action="/archiveCategory.do" method="post">
  <bean:define id="form" name="archiveCategoryForm" type="vkc.view.form.ArchiveCategoryForm"/>  

  <html:hidden property="categoryId"/> 

  <table width="100%" border="0" class="color_tab">
    <tr>
      <td align="center">
	    <table>
          <tr><td>&nbsp;</td></tr>
		  <tr><td>&nbsp;</td></tr>

  		  <tr><td colspan="2"><b><vkc:message key="vkc.category.archivecategoryinfo"/>:</b></td></tr>

          <vkc:hline bottomSpace="0" topSpace="0" colspan="2" lineClass="hline" lineHeight="1" />

  		  <tr>
            <td nowrap="nowrap"><b><vkc:message key="vkc.category"/>:</b></td>
            <td nowrap="nowrap"><vkc:write name="form" property="category.name"/></td>
          </tr>

          <tr>
            <td nowrap="nowrap"><b><vkc:message key="vkc.category.archivecategoryinfo.recursive"/>:</b></td>
            <td nowrap="nowrap"><html:checkbox property='recursive' /></td>
          </tr>

          <tr>
            <td nowrap="nowrap"><b><vkc:message key="vkc.category.archivecategoryinfo.includeVersion"/>:</b></td>
            <td nowrap="nowrap"><html:checkbox property='includeVersion' /></td>
          </tr>

          <tr>
            <td nowrap="nowrap"><b><vkc:message key="vkc.category.archivecategoryinfo.virtualDocuments"/>:</b></td>
            <td nowrap="nowrap"><html:checkbox property='virtualDocuments' /></td>
          </tr>

          <tr>
            <td nowrap="nowrap"><b><vkc:message key="vkc.category.archivecategoryinfo.language"/>:</b></td>
            <td nowrap="nowrap">
			  <bean:define id="languages" name="form" property="languages" type="java.util.List"/>
	          <html:select name="form" property="languageId" size="1">
	            <vkc:options collection="languages" property="languageId" labelProperty="name_key" handleLabelAsKey="true"/>
	          </html:select>
		    </td>
          </tr>

          <vkc:hline bottomSpace="0" topSpace="0" colspan="2" lineClass="hline" lineHeight="1" />

          <tr>
            <td nowrap="nowrap"><b><vkc:message key="vkc.category.archivecategoryinfo.directory"/>:</b></td>
            <td nowrap="nowrap"><vkc:write name="form" property="archiveDirectoryPath"/></td>
          </tr>

          <vkc:hline bottomSpace="0" topSpace="0" colspan="2" lineClass="hline" lineHeight="1" />

    	  <tr>
            <td nowrap="nowrap" align="center" colspan="2">
    	      <vkc:button property="action.create" onclick="javascript:disableAllButtonsAndSubmit(this);"><vkc:message key="button.create.archive"/></vkc:button>
    	      <vkc:button property="action.cancel" onclick="javascript:disableAllButtonsAndSubmit(this);"><vkc:message key="button.cancel"/></vkc:button>
	  	    </td>
          </tr>
  	    </table>
      </td>
    </tr>
  </table>
</html:form>
</body>
</html:html>