<%@ page language="java" errorPage="/common/error.jsp" %>
<%@ page buffer="100kb" %>
<%@ taglib uri="struts-html"  prefix="html" %>
<%@ taglib uri="struts-bean"  prefix="bean" %>
<%@ taglib uri="struts-logic" prefix="logic" %>
<%@ taglib uri="vkc-taglib"   prefix="vkc" %>

<%@ page import="vkc.db.entities.VKCCategory" %>

<vkc:init/>

<logic:present name="<%=vkc.view.WebShare.USER_KEY%>" scope="session">

<html:html locale="true">

<head>
    <meta http-equiv="content-type"  content="text/html; charset=iso-8859-1" />
    <meta http-equiv="cache-control" content="no-cache" />
    <meta http-equiv="pragma"        content="no-cache" />
    <meta http-equiv="expires"       content="0" />
    <meta http-equiv="robots"        content="index" />
    <meta http-equiv="robots"        content="follow" />

    <title><vkc:message key="vkc" /></title>

    <vkc:cssinclude />
    <%
    	String agent = request.getHeader("user-agent").toLowerCase();
    	boolean isOpera = agent.indexOf("opera") != -1;
    	
    	if (isOpera) {
    		request.setAttribute("operabrowser", "true");
    	}
    %>
    
    <logic:present name="operabrowser" scope="request">
	  <style type="text/css">
	    #logoutButton { position:absolute; top:24px; right:10px; z-index:1; }
        #selectBox { width:350px; overflow:hidden;}
	  </style>
    </logic:present>

    <logic:notPresent name="operabrowser" scope="request">
	  <style type="text/css">
	    #logoutButton { position:absolute; top:24px; right:10px; z-index:1; }
	    #selectBox { max-width:350px; overflow:hidden; width:expression(document.body.clientWidth > 350? "350px": "auto"); }
	  </style>
    </logic:notPresent>

    <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>
</head>

<body onload="init();" id="tabview" marginwidth="0" marginheight="0">
<logic:notPresent name="<%=vkc.view.WebShare.PREV_USER_KEY%>" scope="session">
<logic:equal name="user" property="guestUser" value="false">
<div id="logoutButton">
<table width="1" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td><vkc:link page="/logout.do" target="MAINFRAMESET" onfocus="return window.status='';" onmouseover="return window.status='';"><vkc:img page="/templates/${template.name}/gfx/logoff.gif" width="16" height="16" border="0" hspace="5" alt=""/></vkc:link></td>
    <td nowrap="nowrap"><vkc:link page="/logout.do" target="MAINFRAMESET" onfocus="return window.status='';" onmouseover="return window.status='';"><vkc:message key="vkc.string.Logout"/></vkc:link></td>
  </tr>
</table>
</div>
</logic:equal>

<logic:equal name="user" property="guestUser" value="true">
<div id="logoutButton">
<table width="1" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td><vkc:link page="/logout.do" target="MAINFRAMESET" onfocus="return window.status='';" onmouseover="return window.status='';"><vkc:img page="/templates/${template.name}/gfx/login.gif" width="16" height="16" border="0" hspace="5" alt=""/></vkc:link></td>
    <td nowrap="nowrap"><vkc:link page="/logout.do" target="MAINFRAMESET" onfocus="return window.status='';" onmouseover="return window.status='';"><vkc:message key="vkc.string.Login"/></vkc:link></td>
  </tr>
</table>
</div>
</logic:equal>
</logic:notPresent>

<logic:present name="<%=vkc.view.WebShare.PREV_USER_KEY%>" scope="session">
<div id="logoutButton">
<table width="1" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td><vkc:link page="/restoreAccount.do" target="MAINFRAMESET" onfocus="return window.status='';" onmouseover="return window.status='';"><vkc:img page="/templates/${template.name}/gfx/button-restoreaccount.gif" width="16" height="16" border="0" hspace="5" alt=""/></vkc:link></td>
    <td nowrap="nowrap"><vkc:link page="/restoreAccount.do" target="MAINFRAMESET" onfocus="return window.status='';" onmouseover="return window.status='';"><vkc:message key="vkc.string.restoreAccount"/></vkc:link></td>
  </tr>
</table>
</div>
</logic:present>

<table width="100%" cellspacing="0" cellpadding="0" border="0">

  <html:form action="/procobaTab" method="post">

  <bean:define id="form" name="procobaTabForm" type="vkc.procoba.TabViewForm" />

  <html:hidden name="form" property="lastCategoryId" />
  <html:hidden name="form" property="lastFunctionalId" />
  <html:hidden name="form" property="lastProjectId" />
  <html:hidden name="form" property="viewId" />
  <html:hidden name="form" property="selectedAddTabId" />
  <html:hidden name="form" property="selectedViewId" />

  <tr>
    <td valign="bottom">
      <table align="left" cellpadding="0" cellspacing="0">
        <tr><td valign="middle" align="center"><vkc:img page="/templates/${template.name}/gfx/vkc-logo-blau.gif" alt="VKC" hspace="5" vspace="5"/></td></tr>
        <tr><td background="<vkc:rewrite page='/templates/${template.name}/gfx/grey-line.gif'/>"><vkc:img page="/templates/${template.name}/gfx/trans.gif" border="0" alt=""/></td></tr>
      </table>
    </td>
  
    <td valign="bottom" width="100%">
      <table align="left" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td align="left" valign="top">
	        <table align="center" valign="top" cellpadding="0" cellspacing="0">
	          <tr>
                <bean:define id="selectedViewId" name="form" property="selectedViewId" type="java.lang.Integer"/>

				<td><vkc:img page="/templates/${template.name}/gfx/blue-tab-corner-left.gif" border="0" alt=""/></td>
				<td><vkc:img page="/templates/${template.name}/gfx/blue-tab-spacer.gif" width="5" height="17" border="0" alt=""/></td>
						        
		        <logic:iterate id="info" name="form" property="systemTabInfos" type="vkc.view.bean.TabInfo">
		        <logic:equal name="info" property="tabId" value="<%=String.valueOf(selectedViewId)%>">
		      	<td><vkc:img page="/templates/${template.name}/gfx/blue-tab-light-left.gif" border="0" alt=""/></td>
		        <td valign="bottom" nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/blue-tab-light-body.gif'/>"><font class="smallFont"><b><vkc:write name="info" property="tabName"/></b></font></td>
		        <td><vkc:img page="/templates/${template.name}/gfx/blue-tab-light-right.gif" border="0" alt=""/></td>
		        </logic:equal>

		        <logic:notEqual name="info" property="tabId" value="<%=String.valueOf(selectedViewId)%>">
		      	<td><vkc:img page="/templates/${template.name}/gfx/grey-tab-dark-left.gif" border="0" alt=""/></td>
		        <td valign="bottom" nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/grey-tab-dark-body.gif'/>"><vkc:link href='<%="javascript:changeSystemTabView(" + info.getTabId() + ");"%>' title="<%=info.getTabDescription()%>" style="color:#666666; text-decoration:none;"><font class="smallFont"><b><vkc:write name="info" property="tabName"/></b></font></vkc:link></td>
		        <td><vkc:img page="/templates/${template.name}/gfx/grey-tab-dark-right.gif" border="0" alt=""/></td>
		        </logic:notEqual>
		        
		        <td><vkc:img page="/templates/${template.name}/gfx/blue-tab-spacer.gif" width="5" height="17" border="0" alt=""/></td>

		        </logic:iterate>
		        <td><vkc:img page="/templates/${template.name}/gfx/blue-tab-corner-right.gif" border="0" alt=""/></td>
		        
	            <td><vkc:img page="/templates/${template.name}/gfx/trans.gif" alt="" width="76" height="17" border="0"/></td>
	          </tr>
	        </table>
	      </td>
	    </tr>
	    
        <tr><td><vkc:img page="/templates/${template.name}/gfx/trans.gif" height="7" border="0" alt=""/></td></tr>
        <tr>
          <!-- Schriftzug, angemeldeter Benutzer, Abmeldebutton -->
          <td valign="middle">
	        <table align="left" cellpadding="0" cellspacing="0">
              <tr>
                <td width="214"><vkc:img page="/templates/${template.name}/gfx/procoba-banner.gif" alt="Project Collaboration Base"/></td>
              </tr>
	        </table>
	      </td>  
        </tr>
        <tr><td><vkc:img page="/templates/${template.name}/gfx/trans.gif" height="10" border="0" alt=""/></td></tr>

        <!-- Registerkarten -->
        <tr>
          <td>
	        <table align="center" cellpadding="0" cellspacing="0" width="100%">
	          <tr>
                <bean:define id="selectedTabId" name="form" property="selectedTabId" type="java.lang.Integer"/>

  			    <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
                  <logic:equal name="form" property="allowCreateNewProjectTab" value="true">
                  <bean:define id="createNewProjectTab" name="form" property="createNewProjectTabInfo" type="vkc.procoba.TabInfo"/>
                  <logic:equal name="form" property="createNewProjectTabSelected" value="true">
                  <%-- neues projekt anlegen tab --%>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-light-left.gif" border="0" alt=""/></td>
                  <td nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-light-body-dotted.gif'/>"><vkc:link style="text-decoration:none;" page="<%=createNewProjectTab.getTabLink()%>" titleKey="vkc.tooltip.newproject"><vkc:img page="/templates/${template.name}/gfx/button-newproject.gif" border="0" alt=""/></vkc:link></td>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-light-right.gif" border="0" alt=""/></td>
                  <td><vkc:img page="/templates/${template.name}/gfx/borderline.gif" width="15" height="27" border="0" alt=""/></td>
                  </logic:equal>
                  <logic:equal name="form" property="createNewProjectTabSelected" value="false">
                  <%-- neues projekt anlegen tab --%>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-grey-left.gif" border="0" alt=""/></td>
                  <td nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-grey-body.gif'/>"><vkc:link style="text-decoration:none;" page="<%=createNewProjectTab.getTabLink()%>" titleKey="vkc.tooltip.newproject"><vkc:img page="/templates/${template.name}/gfx/button-newproject.gif" border="0" alt=""/></vkc:link></td>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-grey-right.gif" border="0" alt=""/></td>
                  <td><vkc:img page="/templates/${template.name}/gfx/borderline.gif" width="15" height="27" border="0" alt=""/></td>
                  </logic:equal>
                  </logic:equal>
                </logic:equal>
                
                <logic:notEmpty name="form" property="tabInfos">
                  <logic:notEqual name="form" property="selectedTabId" value='<%=categorySettings.getProjectManagementRootId().toString()%>'>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-light-left.gif" border="0" alt=""/></td>
        		  <td nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-light-body-dotted.gif'/>">
  			        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
  			        <span style="font-weight:bold;"><vkc:message key="project.choose"/>:&nbsp;</span>
                    </logic:equal>
  			        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
  			        <span style="font-weight:bold;"><vkc:message key="function.choose"/>:&nbsp;</span>
                    </logic:equal>
        		  </td>
        		  <td nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-light-body-dotted.gif'/>">
        		    <html:select name="form" property="selectedTabId"  styleId="selectBox" size="1" onchange="changeTabView(this.options[this.options.selectedIndex].value)">
                      <html:option value='<%=categorySettings.getProjectManagementRootId().toString()%>' disabled="true">
  			            <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
  			            <vkc:message key="project.choose.descr"/>
                        </logic:equal>
  			            <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
  			            <vkc:message key="function.choose.descr"/>
                        </logic:equal>
                      </html:option>

                      <logic:notEmpty name="form" property="mostRecentTabInfos">
                      <optgroup label='<vkc:message key="vkc.history"/>'>
                      <logic:iterate id="mrInfo" name="form" property="mostRecentTabInfos" type="vkc.procoba.TabInfo">
                        <logic:notEqual value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="mrInfo" property="tabFlag">
                        <html:option value='<%=mrInfo.getTabId().toString()%>'><vkc:write name="mrInfo" property="tabName"/></html:option>
                        </logic:notEqual>
                      
                        <logic:equal value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="mrInfo" property="tabFlag">
                        <html:option value='<%=mrInfo.getTabId().toString()%>' style="color:#666666;font-weight:normal;"><vkc:write name="mrInfo" property="tabName"/></html:option>
                        </logic:equal>
                      </logic:iterate>
                      </optgroup>
                      </logic:notEmpty>

  			          <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
                        <bean:define id="optLabel" type="java.lang.String" value="vkc.projects"/>
                      </logic:equal>
  			          <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
                        <bean:define id="optLabel" type="java.lang.String" value="vkc.functionalviews"/>
                      </logic:equal>

                      <optgroup label='<vkc:message name="optLabel"/>'>
                      <logic:iterate id="info" name="form" property="tabInfos" type="vkc.procoba.TabInfo">
                        <logic:notEqual value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="info" property="tabFlag">
                        <html:option value='<%=info.getTabId().toString()%>'><vkc:write name="info" property="tabName"/></html:option>
                        </logic:notEqual>
                      
                        <logic:equal value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="info" property="tabFlag">
                        <html:option value='<%=info.getTabId().toString()%>' style="color:#666666;font-weight:normal;"><vkc:write name="info" property="tabName"/></html:option>
                        </logic:equal>
                      </logic:iterate>
                      </optgroup>
        		    </html:select>
        		  </td>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-light-right.gif" border="0" alt=""/></td>
                  <td><vkc:img page="/templates/${template.name}/gfx/borderline.gif" width="5" height="27" border="0" alt=""/></td>
                  </logic:notEqual>
                  
                  <logic:equal name="form" property="selectedTabId" value='<%=categorySettings.getProjectManagementRootId().toString()%>'>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-grey-left.gif" border="0" alt=""/></td>
                  <td nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-grey-body.gif'/>">
  			        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
  			        <span style="color:#666666; font-weight:bold;"><vkc:message key="project.choose"/>:&nbsp;</span>
                    </logic:equal>
  			        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
  			        <span style="color:#666666; font-weight:bold;"><vkc:message key="function.choose"/>:&nbsp;</span>
                    </logic:equal>
                  </td>
                  <td nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-grey-body.gif'/>">
        		    <html:select name="form" property="selectedTabId" styleId="selectBox" size="1" onchange="changeTabView(this.options[this.options.selectedIndex].value)">
                      <html:option value='<%=categorySettings.getProjectManagementRootId().toString()%>'>
  			            <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
  			            <vkc:message key="project.choose.descr"/>
                        </logic:equal>
  			            <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
  			            <vkc:message key="function.choose.descr"/>
                        </logic:equal>
                      </html:option>

                      <logic:notEmpty name="form" property="mostRecentTabInfos">
                      <optgroup label='<vkc:message key="vkc.history"/>'>
                      <logic:iterate id="mrInfo" name="form" property="mostRecentTabInfos" type="vkc.procoba.TabInfo">
                        <logic:notEqual value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="mrInfo" property="tabFlag">
                        <html:option value='<%=mrInfo.getTabId().toString()%>'><vkc:write name="mrInfo" property="tabName"/></html:option>
                        </logic:notEqual>
                      
                        <logic:equal value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="mrInfo" property="tabFlag">
                        <html:option value='<%=mrInfo.getTabId().toString()%>' style="color:#666666;font-weight:normal;"><vkc:write name="mrInfo" property="tabName"/></html:option>
                        </logic:equal>
                      </logic:iterate>
                      </optgroup>
                      </logic:notEmpty>

  			          <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
                        <bean:define id="optLabel" type="java.lang.String" value="vkc.projects"/>
                      </logic:equal>
  			          <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
                        <bean:define id="optLabel" type="java.lang.String" value="vkc.functionalviews"/>
                      </logic:equal>

                      <optgroup label='<vkc:message name="optLabel"/>'>
                      <logic:iterate id="info" name="form" property="tabInfos" type="vkc.procoba.TabInfo">
                        <logic:notEqual value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="info" property="tabFlag">
                        <html:option value='<%=info.getTabId().toString()%>'><vkc:write name="info" property="tabName"/></html:option>
                        </logic:notEqual>
                      
                        <logic:equal value="<%=VKCCategory.FLAG_CLOSED.toString()%>" name="info" property="tabFlag">
                        <html:option value='<%=info.getTabId().toString()%>' style="color:#666666;font-weight:normal;"><vkc:write name="info" property="tabName"/></html:option>
                        </logic:equal>
                      </logic:iterate>
                      </optgroup>
        		    </html:select>
                  </td>
                  <td><vkc:img page="/templates/${template.name}/gfx/tab-grey-right.gif" border="0" alt=""/></td>
                  <td><vkc:img page="/templates/${template.name}/gfx/borderline.gif" width="5" height="27" border="0" alt=""/></td>
                  </logic:equal>
                </logic:notEmpty>

			    <td valign="bottom" width="100%">
			      <table cellpadding="0" cellspacing="0" width="100%">
			        <tr><td background="<vkc:rewrite page='/templates/${template.name}/gfx/grey-line.gif'/>"><vkc:img page="/templates/${template.name}/gfx/trans.gif" width="10" height="1" border="0" alt=""/></td></tr>
			       </table>
			    </td>

                <bean:define id="selectedAddTabId" name="form" property="selectedAddTabId" type="java.lang.Integer"/>

		        <logic:iterate id="info" name="form" property="additionalTabInfos" type="vkc.view.bean.TabInfo">
		        <logic:equal name="info" property="tabId" value="<%=String.valueOf( selectedAddTabId )%>">
		      	  <td width="100%" align="right"><vkc:img page="/templates/${template.name}/gfx/tab-light-left.gif" border="0" alt=""/></td>
		          <td align="right" nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-light-body.gif'/>"><vkc:link page="<%=info.getTabLink()%>" title="<%=info.getTabLabel()%>" style="text-decoration:none;" target="MAINVIEW" onclick='<%="javascript:changeAddTabView(" + info.getTabId() + ");"%>'><b><vkc:write name="info" property="tabName"/></b></vkc:link></td>
		          <td align="right"><vkc:img page="/templates/${template.name}/gfx/tab-light-right.gif" border="0" alt=""/></td>
		          <td align="right"><vkc:img page="/templates/${template.name}/gfx/borderline.gif" width="5" height="27" border="0" alt=""/></td>
		        </logic:equal>

		        <logic:notEqual name="info" property="tabId" value="<%=String.valueOf( selectedAddTabId )%>">
		      	  <td width="100%" align="right"><vkc:img page="/templates/${template.name}/gfx/tab-grey-left.gif" border="0" alt=""/></td>
		          <td align="right" nowrap="nowrap" background="<vkc:rewrite page='/templates/${template.name}/gfx/tab-grey-body.gif'/>"><vkc:link page="<%=info.getTabLink()%>" title="<%=info.getTabLabel()%>" style="color:#666666; text-decoration:none;" target="MAINVIEW" onclick='<%="javascript:changeAddTabView(" + info.getTabId() + ");"%>'><b><vkc:write name="info" property="tabName"/></b></vkc:link></td>
		          <td align="right"><vkc:img page="/templates/${template.name}/gfx/tab-grey-right.gif" border="0" alt=""/></td>
		          <td align="right"><vkc:img page="/templates/${template.name}/gfx/borderline.gif" width="5" height="27" border="0" alt=""/></td>
		        </logic:notEqual>
		        </logic:iterate>
			    <td valign="bottom" width="100%">
			      <table cellpadding="0" cellspacing="0" width="100%">
			        <tr><td background="<vkc:rewrite page='/templates/${template.name}/gfx/grey-line.gif'/>"><vkc:img page="/templates/${template.name}/gfx/trans.gif" width="10" height="1" border="0" alt=""/></td></tr>
			       </table>
			    </td>
		      </tr>
		    </table>
		  </td>
		</tr>
	  </table>
    </td>
  </tr>

  <script type="text/javascript">
    window.name = "TABVIEW";
    var selectedTabId = <vkc:write name="form" property="selectedTabId"/>;
    var viewId = <vkc:write name="form" property="viewId"/>;
    var systemviewtype = "procobaview";
      
    function init() {
      <logic:equal name="form" property="createNewProjectTabSelected" value="true">
      <logic:equal name="form" property="reloadMainview" value="true">
        parent.MAINVIEW.location.replace( '<%=ctxPath%><vkc:write name="form" property="createNewProjectTabLink" filter="false"/>' );
      </logic:equal>
      </logic:equal>

      <logic:equal name="form" property="createNewProjectTabSelected" value="false">
      <logic:equal name="form" property="reloadMainview" value="true">
        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
          parent.MAINVIEW.location.replace( '<%=ctxPath%>/projectView.do?projectId=<vkc:write name="form" property="selectedTabId"/>' );
        </logic:equal>

        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
          parent.MAINVIEW.location.replace( '<%=ctxPath%>/functionalView.do?functionalViewId=<vkc:write name="form" property="selectedTabId"/>&subfolderId=<vkc:write name="form" property="selectedTabId"/>');
        </logic:equal>
      </logic:equal>
      </logic:equal>
    }

    function changeTabView(id) {
        var form = document.forms[0];
        form.selectedTabId.value = id;
        form.selectedAddTabId.value = -1;
        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.PROJECT_VIEW.toString()%>">
        form.lastProjectId.value = id;
        </logic:equal>
        <logic:equal name="form" property="viewId" value="<%=vkc.view.PageId.FUNCTIONAL_VIEW.toString()%>">
        form.lastFunctionalId.value = id;
        </logic:equal>

        if (form.action.indexOf('?') == -1) {
          form.action = form.action + "?action.update.mostrecenttabview=true&reloadMainview=true";
        } else {
          form.action = form.action + "&action.update.mostrecenttabview=true&reloadMainview=true";
        }

        form.submit();
    }

    function changeSystemTabView(id) {
        var form = document.forms[0];
        form.selectedViewId.value = id;

        if (form.action.indexOf('?') == -1) {
          form.action = form.action + "?action.change.tabview=true";
        } else {
          form.action = form.action + "&action.change.tabview=true";
        }

        form.submit();
    }

    function changeAddTabView(id) {
        var form = document.forms[0];
        form.selectedAddTabId.value = id;

        if (form.action.indexOf('?') == -1) {
          form.action = form.action + "?reloadMainview=false&ignoreTabviewLoad=true&selectedTabId=<vkc:write name='categorySettings' property='projectManagementRootId'/>";
        } else {
          form.action = form.action + "&reloadMainview=false&ignoreTabviewLoad=true&selectedTabId=<vkc:write name='categorySettings' property='projectManagementRootId'/>";
        }

        form.submit();
    }

    function openAdminWindow(path) {
    	window.open(path);
    	
    	return false;
    }
  </script>

  </html:form>
</table>
</body>
</html:html>

</logic:present>