/*
 * $Id: TdfToken.java,v 1.3 2006/07/17 13:04:01 lawern Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: TdfToken.java,v $
 * Revision 1.3  2006/07/17 13:04:01  lawern
 * Neuer typografiegewichteter Index und k-NN-Klassifikation aus meiner Diss.
 *
 * Revision 1.2  2005/04/13 06:37:26  lawern
 * Analyser mit Typografiegewichtung
 *
 * Revision 1.1  2003/04/22 11:03:52  lawern
 * Initiale Version
 *
 *
 */
package vkc.analyse;

public final class TdfToken {
    public String termText = null;
    public int startOffset;
    public double tdfWeight;
    public int indexWeight;
    public int tokenWeight = -1;

    public TdfToken(String text, int start, double weight) {
        termText = text;
        startOffset = start;
        tdfWeight = weight;
    }
}
