/*
 * $Id: TdfElement.java,v 1.3 2006/06/06 20:35:59 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: TdfElement.java,v $
 * Revision 1.3  2006/06/06 20:35:59  marbobo
 * + Mgliche NPE abgefangen
 *
 * Revision 1.2  2003/11/29 22:13:52  koppy
 * InputStreams in VKCInputStream gekappselt
 *
 * Revision 1.1  2003/03/20 09:11:33  lawern
 * Konverter und Analyse berarbeitet
 *
 *
 */
package vkc.converter;

import java.io.Serializable;

/**
 * Diese Klasse dient zum Zwischenspeichern der Elemente einer TDF-Datei.
 *
 * @author lawern
 */
public class TdfElement implements Serializable {
	public int weight = 0;

	public String text = "";

	//true, wenn es sich um einen neuen Absatz handelt.
	public boolean separated = false;

	//true, wenn eine neue Zeile beginnt.
	public boolean newLine = false;

	/**
	 * Container fr die in einer TDF-Datei verwendeten Elemente
	 */
	public TdfElement(String text, int weight, boolean newLine, boolean separated) {
		this.weight = weight;
		this.text = text;

		this.newLine = newLine;
		this.separated = separated;
	}
}