/*
 * $Id: Status.java,v 1.2 2004/03/15 14:21:52 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: Status.java,v $
 * Revision 1.2  2004/03/15 14:21:52  jonyp
 * layout things
 *
 * Revision 1.1  2004/01/16 14:19:40  koppy
 * Initiale Version
 *
 */
package vkc.converter.common;

/**
 * This class represents constants
 * for status informations.
 * 
 * @created 09.01.2004
 * @author Andreas Koop
 */
public final class Status {

	public static final String SUCCEEDED	            = "SUCCEEDED";
	public static final String FAILED		            = "FAILED";
	
	public static final String CONVERSION_OUTSTANDING 	= "outstanding";
	public static final String CONVERSION_STARTED	 	= "started";
	public static final String CONVERSION_DONE		 	= "done";
	public static final String CONVERSION_SUSPENDED 	= "suspended";
	
	public static final String SERVER_UP	            = "up";
	public static final String SERVER_DOWN	            = "down";
}
