//===============================================================
// package : com.tetrasix.majix.rtf
// class : com.tetrasix.majix.RtfPictureExternalEntity
//===============================================================
// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you may not use this file except in
// compliance with the License. You may obtain a copy of the License at
// http://www.mozilla.org/MPL/
//
// Software distributed under the License is distributed on an "AS IS"
// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
// License for the specific language governing rights and limitations
// under the License.
//
// The Original Code is TetraSys code.
//
// The Initial Developer of the Original Code is TetraSys..
// Portions created by TetraSys are 
// Copyright (C) 1998-2000 TetraSys. All Rights Reserved.
//
// Contributor(s): Arne Jans, Quinscape GmbH (www.quinscape.de)
//===============================================================


/**
 *
 * @version 1.1
 */


package vkc.converter.rtf;



class RtfPictureExternalEntity extends RtfExternalEntity
{
	RtfPictureExternalEntity(int counter, String sysid)
	{
		super(format_counter(counter), sysid + format_counter(counter));
	}

	static String format_counter(int icounter)
	{
		String counter = String.valueOf(icounter);
		if (counter.length() < 3) {
			counter = "000" + counter;
			counter = counter.substring(counter.length() - 3, counter.length());
		}

		return counter;
	}
}