/*
 * $Id: MaxAllowedUsersExceededException.java,v 1.1 2007/07/20 14:18:04 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * Created on 20.07.2007
 *
 * $Log: MaxAllowedUsersExceededException.java,v $
 * Revision 1.1  2007/07/20 14:18:04  marbobo
 * + Max. Anzahl von Benutzern die im System gleichzeitig angemeldet sein drfen ist jetzt konfiguriebar
 *
 */
package vkc.exception;


/**
 * This exception class should be thrown,
 * if the max allowed users number in VKC exceeded.
 * 
 * @author marbobo
 */
public class MaxAllowedUsersExceededException extends java.lang.Exception{

    public MaxAllowedUsersExceededException() {
        super();
    }

    public MaxAllowedUsersExceededException(String cause) {
        super(cause);
    }
}