/*
 * $Id: GroupInfoRange.java,v 1.1 2005/02/15 09:26:51 bigmac Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: GroupInfoRange.java,v $
 * Revision 1.1  2005/02/15 09:26:51  bigmac
 * Refactorings
 *
 * Revision 1.1  2004/02/28 22:41:45  marbobo
 * Initiale Version
 *
 */
package vkc.view.bean;

import java.io.Serializable;




/**
 * Hilfsklasse zum Gruppenbereichsanzeige
 * 
 * @author marbobo
 * @version 1.0
 */
public class GroupInfoRange implements Serializable{
	private GroupInfo from = null;
	private GroupInfo to = null;
	
	public GroupInfoRange (GroupInfo from, GroupInfo to) {
		this.from = from;
		this.to = to;
	}
	
	public GroupInfo getFrom() {
		return from;
	}

	public GroupInfo getTo() {
		return to;
	}
}