/*
 * $Id: UserInfoRange.java,v 1.1 2005/02/15 09:26:50 bigmac Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: UserInfoRange.java,v $
 * Revision 1.1  2005/02/15 09:26:50  bigmac
 * Refactorings
 *
 * Revision 1.1  2004/02/28 22:41:45  marbobo
 * Initiale Version
 *
 */
package vkc.view.bean;

import java.io.Serializable;




/**
 * Hilfsklasse zum Benutzerbereichsanzeige
 * 
 * @author marbobo
 * @version 1.0
 */
public class UserInfoRange implements Serializable{
	private UserInfo from = null;
	private UserInfo to = null;
	
	public UserInfoRange (UserInfo from, UserInfo to) {
		this.from = from;
		this.to = to;
	}
	
	public UserInfo getFrom() {
		return from;
	}

	public UserInfo getTo() {
		return to;
	}
}